os/persistentdata/persistentstorage/sqlite3api/TEST/TCL/tcldistribution/win/configure
1.1 --- /dev/null Thu Jan 01 00:00:00 1970 +0000
1.2 +++ b/os/persistentdata/persistentstorage/sqlite3api/TEST/TCL/tcldistribution/win/configure Fri Jun 15 03:10:57 2012 +0200
1.3 @@ -0,0 +1,2433 @@
1.4 +#! /bin/sh
1.5 +
1.6 +# Guess values for system-dependent variables and create Makefiles.
1.7 +# Generated automatically using autoconf version 2.13
1.8 +# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
1.9 +#
1.10 +# This configure script is free software; the Free Software Foundation
1.11 +# gives unlimited permission to copy, distribute and modify it.
1.12 +
1.13 +# Defaults:
1.14 +ac_help=
1.15 +ac_default_prefix=/usr/local
1.16 +# Any additions from configure.in:
1.17 +ac_help="$ac_help
1.18 + --enable-threads build with threads"
1.19 +ac_help="$ac_help
1.20 + --enable-shared build and link with shared libraries [--enable-shared]"
1.21 +ac_help="$ac_help
1.22 + --enable-64bit enable 64bit support (where applicable = amd64|ia64)"
1.23 +ac_help="$ac_help
1.24 + --enable-symbols build with debugging symbols [--disable-symbols]"
1.25 +
1.26 +# Initialize some variables set by options.
1.27 +# The variables have the same names as the options, with
1.28 +# dashes changed to underlines.
1.29 +build=NONE
1.30 +cache_file=./config.cache
1.31 +exec_prefix=NONE
1.32 +host=NONE
1.33 +no_create=
1.34 +nonopt=NONE
1.35 +no_recursion=
1.36 +prefix=NONE
1.37 +program_prefix=NONE
1.38 +program_suffix=NONE
1.39 +program_transform_name=s,x,x,
1.40 +silent=
1.41 +site=
1.42 +srcdir=
1.43 +target=NONE
1.44 +verbose=
1.45 +x_includes=NONE
1.46 +x_libraries=NONE
1.47 +bindir='${exec_prefix}/bin'
1.48 +sbindir='${exec_prefix}/sbin'
1.49 +libexecdir='${exec_prefix}/libexec'
1.50 +datadir='${prefix}/share'
1.51 +sysconfdir='${prefix}/etc'
1.52 +sharedstatedir='${prefix}/com'
1.53 +localstatedir='${prefix}/var'
1.54 +libdir='${exec_prefix}/lib'
1.55 +includedir='${prefix}/include'
1.56 +oldincludedir='/usr/include'
1.57 +infodir='${prefix}/info'
1.58 +mandir='${prefix}/man'
1.59 +
1.60 +# Initialize some other variables.
1.61 +subdirs=
1.62 +MFLAGS= MAKEFLAGS=
1.63 +SHELL=${CONFIG_SHELL-/bin/sh}
1.64 +# Maximum number of lines to put in a shell here document.
1.65 +ac_max_here_lines=12
1.66 +
1.67 +ac_prev=
1.68 +for ac_option
1.69 +do
1.70 +
1.71 + # If the previous option needs an argument, assign it.
1.72 + if test -n "$ac_prev"; then
1.73 + eval "$ac_prev=\$ac_option"
1.74 + ac_prev=
1.75 + continue
1.76 + fi
1.77 +
1.78 + case "$ac_option" in
1.79 + -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
1.80 + *) ac_optarg= ;;
1.81 + esac
1.82 +
1.83 + # Accept the important Cygnus configure options, so we can diagnose typos.
1.84 +
1.85 + case "$ac_option" in
1.86 +
1.87 + -bindir | --bindir | --bindi | --bind | --bin | --bi)
1.88 + ac_prev=bindir ;;
1.89 + -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
1.90 + bindir="$ac_optarg" ;;
1.91 +
1.92 + -build | --build | --buil | --bui | --bu)
1.93 + ac_prev=build ;;
1.94 + -build=* | --build=* | --buil=* | --bui=* | --bu=*)
1.95 + build="$ac_optarg" ;;
1.96 +
1.97 + -cache-file | --cache-file | --cache-fil | --cache-fi \
1.98 + | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
1.99 + ac_prev=cache_file ;;
1.100 + -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
1.101 + | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
1.102 + cache_file="$ac_optarg" ;;
1.103 +
1.104 + -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
1.105 + ac_prev=datadir ;;
1.106 + -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
1.107 + | --da=*)
1.108 + datadir="$ac_optarg" ;;
1.109 +
1.110 + -disable-* | --disable-*)
1.111 + ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
1.112 + # Reject names that are not valid shell variable names.
1.113 + if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
1.114 + { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
1.115 + fi
1.116 + ac_feature=`echo $ac_feature| sed 's/-/_/g'`
1.117 + eval "enable_${ac_feature}=no" ;;
1.118 +
1.119 + -enable-* | --enable-*)
1.120 + ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
1.121 + # Reject names that are not valid shell variable names.
1.122 + if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
1.123 + { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
1.124 + fi
1.125 + ac_feature=`echo $ac_feature| sed 's/-/_/g'`
1.126 + case "$ac_option" in
1.127 + *=*) ;;
1.128 + *) ac_optarg=yes ;;
1.129 + esac
1.130 + eval "enable_${ac_feature}='$ac_optarg'" ;;
1.131 +
1.132 + -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
1.133 + | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
1.134 + | --exec | --exe | --ex)
1.135 + ac_prev=exec_prefix ;;
1.136 + -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
1.137 + | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
1.138 + | --exec=* | --exe=* | --ex=*)
1.139 + exec_prefix="$ac_optarg" ;;
1.140 +
1.141 + -gas | --gas | --ga | --g)
1.142 + # Obsolete; use --with-gas.
1.143 + with_gas=yes ;;
1.144 +
1.145 + -help | --help | --hel | --he)
1.146 + # Omit some internal or obsolete options to make the list less imposing.
1.147 + # This message is too long to be a string in the A/UX 3.1 sh.
1.148 + cat << EOF
1.149 +Usage: configure [options] [host]
1.150 +Options: [defaults in brackets after descriptions]
1.151 +Configuration:
1.152 + --cache-file=FILE cache test results in FILE
1.153 + --help print this message
1.154 + --no-create do not create output files
1.155 + --quiet, --silent do not print \`checking...' messages
1.156 + --version print the version of autoconf that created configure
1.157 +Directory and file names:
1.158 + --prefix=PREFIX install architecture-independent files in PREFIX
1.159 + [$ac_default_prefix]
1.160 + --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
1.161 + [same as prefix]
1.162 + --bindir=DIR user executables in DIR [EPREFIX/bin]
1.163 + --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
1.164 + --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
1.165 + --datadir=DIR read-only architecture-independent data in DIR
1.166 + [PREFIX/share]
1.167 + --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
1.168 + --sharedstatedir=DIR modifiable architecture-independent data in DIR
1.169 + [PREFIX/com]
1.170 + --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
1.171 + --libdir=DIR object code libraries in DIR [EPREFIX/lib]
1.172 + --includedir=DIR C header files in DIR [PREFIX/include]
1.173 + --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
1.174 + --infodir=DIR info documentation in DIR [PREFIX/info]
1.175 + --mandir=DIR man documentation in DIR [PREFIX/man]
1.176 + --srcdir=DIR find the sources in DIR [configure dir or ..]
1.177 + --program-prefix=PREFIX prepend PREFIX to installed program names
1.178 + --program-suffix=SUFFIX append SUFFIX to installed program names
1.179 + --program-transform-name=PROGRAM
1.180 + run sed PROGRAM on installed program names
1.181 +EOF
1.182 + cat << EOF
1.183 +Host type:
1.184 + --build=BUILD configure for building on BUILD [BUILD=HOST]
1.185 + --host=HOST configure for HOST [guessed]
1.186 + --target=TARGET configure for TARGET [TARGET=HOST]
1.187 +Features and packages:
1.188 + --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
1.189 + --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
1.190 + --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
1.191 + --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
1.192 + --x-includes=DIR X include files are in DIR
1.193 + --x-libraries=DIR X library files are in DIR
1.194 +EOF
1.195 + if test -n "$ac_help"; then
1.196 + echo "--enable and --with options recognized:$ac_help"
1.197 + fi
1.198 + exit 0 ;;
1.199 +
1.200 + -host | --host | --hos | --ho)
1.201 + ac_prev=host ;;
1.202 + -host=* | --host=* | --hos=* | --ho=*)
1.203 + host="$ac_optarg" ;;
1.204 +
1.205 + -includedir | --includedir | --includedi | --included | --include \
1.206 + | --includ | --inclu | --incl | --inc)
1.207 + ac_prev=includedir ;;
1.208 + -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
1.209 + | --includ=* | --inclu=* | --incl=* | --inc=*)
1.210 + includedir="$ac_optarg" ;;
1.211 +
1.212 + -infodir | --infodir | --infodi | --infod | --info | --inf)
1.213 + ac_prev=infodir ;;
1.214 + -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
1.215 + infodir="$ac_optarg" ;;
1.216 +
1.217 + -libdir | --libdir | --libdi | --libd)
1.218 + ac_prev=libdir ;;
1.219 + -libdir=* | --libdir=* | --libdi=* | --libd=*)
1.220 + libdir="$ac_optarg" ;;
1.221 +
1.222 + -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
1.223 + | --libexe | --libex | --libe)
1.224 + ac_prev=libexecdir ;;
1.225 + -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
1.226 + | --libexe=* | --libex=* | --libe=*)
1.227 + libexecdir="$ac_optarg" ;;
1.228 +
1.229 + -localstatedir | --localstatedir | --localstatedi | --localstated \
1.230 + | --localstate | --localstat | --localsta | --localst \
1.231 + | --locals | --local | --loca | --loc | --lo)
1.232 + ac_prev=localstatedir ;;
1.233 + -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
1.234 + | --localstate=* | --localstat=* | --localsta=* | --localst=* \
1.235 + | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
1.236 + localstatedir="$ac_optarg" ;;
1.237 +
1.238 + -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
1.239 + ac_prev=mandir ;;
1.240 + -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
1.241 + mandir="$ac_optarg" ;;
1.242 +
1.243 + -nfp | --nfp | --nf)
1.244 + # Obsolete; use --without-fp.
1.245 + with_fp=no ;;
1.246 +
1.247 + -no-create | --no-create | --no-creat | --no-crea | --no-cre \
1.248 + | --no-cr | --no-c)
1.249 + no_create=yes ;;
1.250 +
1.251 + -no-recursion | --no-recursion | --no-recursio | --no-recursi \
1.252 + | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
1.253 + no_recursion=yes ;;
1.254 +
1.255 + -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
1.256 + | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
1.257 + | --oldin | --oldi | --old | --ol | --o)
1.258 + ac_prev=oldincludedir ;;
1.259 + -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
1.260 + | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
1.261 + | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
1.262 + oldincludedir="$ac_optarg" ;;
1.263 +
1.264 + -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
1.265 + ac_prev=prefix ;;
1.266 + -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
1.267 + prefix="$ac_optarg" ;;
1.268 +
1.269 + -program-prefix | --program-prefix | --program-prefi | --program-pref \
1.270 + | --program-pre | --program-pr | --program-p)
1.271 + ac_prev=program_prefix ;;
1.272 + -program-prefix=* | --program-prefix=* | --program-prefi=* \
1.273 + | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
1.274 + program_prefix="$ac_optarg" ;;
1.275 +
1.276 + -program-suffix | --program-suffix | --program-suffi | --program-suff \
1.277 + | --program-suf | --program-su | --program-s)
1.278 + ac_prev=program_suffix ;;
1.279 + -program-suffix=* | --program-suffix=* | --program-suffi=* \
1.280 + | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
1.281 + program_suffix="$ac_optarg" ;;
1.282 +
1.283 + -program-transform-name | --program-transform-name \
1.284 + | --program-transform-nam | --program-transform-na \
1.285 + | --program-transform-n | --program-transform- \
1.286 + | --program-transform | --program-transfor \
1.287 + | --program-transfo | --program-transf \
1.288 + | --program-trans | --program-tran \
1.289 + | --progr-tra | --program-tr | --program-t)
1.290 + ac_prev=program_transform_name ;;
1.291 + -program-transform-name=* | --program-transform-name=* \
1.292 + | --program-transform-nam=* | --program-transform-na=* \
1.293 + | --program-transform-n=* | --program-transform-=* \
1.294 + | --program-transform=* | --program-transfor=* \
1.295 + | --program-transfo=* | --program-transf=* \
1.296 + | --program-trans=* | --program-tran=* \
1.297 + | --progr-tra=* | --program-tr=* | --program-t=*)
1.298 + program_transform_name="$ac_optarg" ;;
1.299 +
1.300 + -q | -quiet | --quiet | --quie | --qui | --qu | --q \
1.301 + | -silent | --silent | --silen | --sile | --sil)
1.302 + silent=yes ;;
1.303 +
1.304 + -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
1.305 + ac_prev=sbindir ;;
1.306 + -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
1.307 + | --sbi=* | --sb=*)
1.308 + sbindir="$ac_optarg" ;;
1.309 +
1.310 + -sharedstatedir | --sharedstatedir | --sharedstatedi \
1.311 + | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
1.312 + | --sharedst | --shareds | --shared | --share | --shar \
1.313 + | --sha | --sh)
1.314 + ac_prev=sharedstatedir ;;
1.315 + -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
1.316 + | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
1.317 + | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
1.318 + | --sha=* | --sh=*)
1.319 + sharedstatedir="$ac_optarg" ;;
1.320 +
1.321 + -site | --site | --sit)
1.322 + ac_prev=site ;;
1.323 + -site=* | --site=* | --sit=*)
1.324 + site="$ac_optarg" ;;
1.325 +
1.326 + -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
1.327 + ac_prev=srcdir ;;
1.328 + -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
1.329 + srcdir="$ac_optarg" ;;
1.330 +
1.331 + -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
1.332 + | --syscon | --sysco | --sysc | --sys | --sy)
1.333 + ac_prev=sysconfdir ;;
1.334 + -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
1.335 + | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
1.336 + sysconfdir="$ac_optarg" ;;
1.337 +
1.338 + -target | --target | --targe | --targ | --tar | --ta | --t)
1.339 + ac_prev=target ;;
1.340 + -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
1.341 + target="$ac_optarg" ;;
1.342 +
1.343 + -v | -verbose | --verbose | --verbos | --verbo | --verb)
1.344 + verbose=yes ;;
1.345 +
1.346 + -version | --version | --versio | --versi | --vers)
1.347 + echo "configure generated by autoconf version 2.13"
1.348 + exit 0 ;;
1.349 +
1.350 + -with-* | --with-*)
1.351 + ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
1.352 + # Reject names that are not valid shell variable names.
1.353 + if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
1.354 + { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
1.355 + fi
1.356 + ac_package=`echo $ac_package| sed 's/-/_/g'`
1.357 + case "$ac_option" in
1.358 + *=*) ;;
1.359 + *) ac_optarg=yes ;;
1.360 + esac
1.361 + eval "with_${ac_package}='$ac_optarg'" ;;
1.362 +
1.363 + -without-* | --without-*)
1.364 + ac_package=`echo $ac_option|sed -e 's/-*without-//'`
1.365 + # Reject names that are not valid shell variable names.
1.366 + if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
1.367 + { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
1.368 + fi
1.369 + ac_package=`echo $ac_package| sed 's/-/_/g'`
1.370 + eval "with_${ac_package}=no" ;;
1.371 +
1.372 + --x)
1.373 + # Obsolete; use --with-x.
1.374 + with_x=yes ;;
1.375 +
1.376 + -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
1.377 + | --x-incl | --x-inc | --x-in | --x-i)
1.378 + ac_prev=x_includes ;;
1.379 + -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
1.380 + | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
1.381 + x_includes="$ac_optarg" ;;
1.382 +
1.383 + -x-libraries | --x-libraries | --x-librarie | --x-librari \
1.384 + | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
1.385 + ac_prev=x_libraries ;;
1.386 + -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
1.387 + | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
1.388 + x_libraries="$ac_optarg" ;;
1.389 +
1.390 + -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
1.391 + ;;
1.392 +
1.393 + *)
1.394 + if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
1.395 + echo "configure: warning: $ac_option: invalid host type" 1>&2
1.396 + fi
1.397 + if test "x$nonopt" != xNONE; then
1.398 + { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
1.399 + fi
1.400 + nonopt="$ac_option"
1.401 + ;;
1.402 +
1.403 + esac
1.404 +done
1.405 +
1.406 +if test -n "$ac_prev"; then
1.407 + { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
1.408 +fi
1.409 +
1.410 +trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1.411 +
1.412 +# File descriptor usage:
1.413 +# 0 standard input
1.414 +# 1 file creation
1.415 +# 2 errors and warnings
1.416 +# 3 some systems may open it to /dev/tty
1.417 +# 4 used on the Kubota Titan
1.418 +# 6 checking for... messages and results
1.419 +# 5 compiler messages saved in config.log
1.420 +if test "$silent" = yes; then
1.421 + exec 6>/dev/null
1.422 +else
1.423 + exec 6>&1
1.424 +fi
1.425 +exec 5>./config.log
1.426 +
1.427 +echo "\
1.428 +This file contains any messages produced by compilers while
1.429 +running configure, to aid debugging if configure makes a mistake.
1.430 +" 1>&5
1.431 +
1.432 +# Strip out --no-create and --no-recursion so they do not pile up.
1.433 +# Also quote any args containing shell metacharacters.
1.434 +ac_configure_args=
1.435 +for ac_arg
1.436 +do
1.437 + case "$ac_arg" in
1.438 + -no-create | --no-create | --no-creat | --no-crea | --no-cre \
1.439 + | --no-cr | --no-c) ;;
1.440 + -no-recursion | --no-recursion | --no-recursio | --no-recursi \
1.441 + | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
1.442 + *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
1.443 + ac_configure_args="$ac_configure_args '$ac_arg'" ;;
1.444 + *) ac_configure_args="$ac_configure_args $ac_arg" ;;
1.445 + esac
1.446 +done
1.447 +
1.448 +# NLS nuisances.
1.449 +# Only set these to C if already set. These must not be set unconditionally
1.450 +# because not all systems understand e.g. LANG=C (notably SCO).
1.451 +# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
1.452 +# Non-C LC_CTYPE values break the ctype check.
1.453 +if test "${LANG+set}" = set; then LANG=C; export LANG; fi
1.454 +if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
1.455 +if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
1.456 +if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
1.457 +
1.458 +# confdefs.h avoids OS command line length limits that DEFS can exceed.
1.459 +rm -rf conftest* confdefs.h
1.460 +# AIX cpp loses on an empty file, so make sure it contains at least a newline.
1.461 +echo > confdefs.h
1.462 +
1.463 +# A filename unique to this package, relative to the directory that
1.464 +# configure is in, which we can look for to find out if srcdir is correct.
1.465 +ac_unique_file=../generic/tcl.h
1.466 +
1.467 +# Find the source files, if location was not specified.
1.468 +if test -z "$srcdir"; then
1.469 + ac_srcdir_defaulted=yes
1.470 + # Try the directory containing this script, then its parent.
1.471 + ac_prog=$0
1.472 + ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
1.473 + test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
1.474 + srcdir=$ac_confdir
1.475 + if test ! -r $srcdir/$ac_unique_file; then
1.476 + srcdir=..
1.477 + fi
1.478 +else
1.479 + ac_srcdir_defaulted=no
1.480 +fi
1.481 +if test ! -r $srcdir/$ac_unique_file; then
1.482 + if test "$ac_srcdir_defaulted" = yes; then
1.483 + { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
1.484 + else
1.485 + { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
1.486 + fi
1.487 +fi
1.488 +srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
1.489 +
1.490 +# Prefer explicitly selected file to automatically selected ones.
1.491 +if test -z "$CONFIG_SITE"; then
1.492 + if test "x$prefix" != xNONE; then
1.493 + CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
1.494 + else
1.495 + CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
1.496 + fi
1.497 +fi
1.498 +for ac_site_file in $CONFIG_SITE; do
1.499 + if test -r "$ac_site_file"; then
1.500 + echo "loading site script $ac_site_file"
1.501 + . "$ac_site_file"
1.502 + fi
1.503 +done
1.504 +
1.505 +if test -r "$cache_file"; then
1.506 + echo "loading cache $cache_file"
1.507 + . $cache_file
1.508 +else
1.509 + echo "creating cache $cache_file"
1.510 + > $cache_file
1.511 +fi
1.512 +
1.513 +ac_ext=c
1.514 +# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1.515 +ac_cpp='$CPP $CPPFLAGS'
1.516 +ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1.517 +ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1.518 +cross_compiling=$ac_cv_prog_cc_cross
1.519 +
1.520 +ac_exeext=
1.521 +ac_objext=o
1.522 +if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
1.523 + # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
1.524 + if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
1.525 + ac_n= ac_c='
1.526 +' ac_t=' '
1.527 + else
1.528 + ac_n=-n ac_c= ac_t=
1.529 + fi
1.530 +else
1.531 + ac_n= ac_c='\c' ac_t=
1.532 +fi
1.533 +
1.534 +
1.535 +
1.536 +
1.537 +TCL_VERSION=8.4
1.538 +TCL_MAJOR_VERSION=8
1.539 +TCL_MINOR_VERSION=4
1.540 +TCL_PATCH_LEVEL=".15"
1.541 +VER=$TCL_MAJOR_VERSION$TCL_MINOR_VERSION
1.542 +
1.543 +TCL_DDE_VERSION=1.2
1.544 +TCL_DDE_MAJOR_VERSION=1
1.545 +TCL_DDE_MINOR_VERSION=2
1.546 +DDEVER=$TCL_DDE_MAJOR_VERSION$TCL_DDE_MINOR_VERSION
1.547 +
1.548 +TCL_REG_VERSION=1.1
1.549 +TCL_REG_MAJOR_VERSION=1
1.550 +TCL_REG_MINOR_VERSION=1
1.551 +REGVER=$TCL_REG_MAJOR_VERSION$TCL_REG_MINOR_VERSION
1.552 +
1.553 +#------------------------------------------------------------------------
1.554 +# Handle the --prefix=... option
1.555 +#------------------------------------------------------------------------
1.556 +
1.557 +if test "${prefix}" = "NONE"; then
1.558 + prefix=/usr/local
1.559 +fi
1.560 +if test "${exec_prefix}" = "NONE"; then
1.561 + exec_prefix=$prefix
1.562 +fi
1.563 +# libdir must be a fully qualified path (not ${exec_prefix}/lib)
1.564 +eval libdir="$libdir"
1.565 +
1.566 +#------------------------------------------------------------------------
1.567 +# Standard compiler checks
1.568 +#------------------------------------------------------------------------
1.569 +
1.570 +# If the user did not set CFLAGS, set it now to keep
1.571 +# the AC_PROG_CC macro from adding "-g -O2".
1.572 +if test "${CFLAGS+set}" != "set" ; then
1.573 + CFLAGS=""
1.574 +fi
1.575 +
1.576 +# Extract the first word of "gcc", so it can be a program name with args.
1.577 +set dummy gcc; ac_word=$2
1.578 +echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1.579 +echo "configure:577: checking for $ac_word" >&5
1.580 +if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
1.581 + echo $ac_n "(cached) $ac_c" 1>&6
1.582 +else
1.583 + if test -n "$CC"; then
1.584 + ac_cv_prog_CC="$CC" # Let the user override the test.
1.585 +else
1.586 + IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
1.587 + ac_dummy="$PATH"
1.588 + for ac_dir in $ac_dummy; do
1.589 + test -z "$ac_dir" && ac_dir=.
1.590 + if test -f $ac_dir/$ac_word; then
1.591 + ac_cv_prog_CC="gcc"
1.592 + break
1.593 + fi
1.594 + done
1.595 + IFS="$ac_save_ifs"
1.596 +fi
1.597 +fi
1.598 +CC="$ac_cv_prog_CC"
1.599 +if test -n "$CC"; then
1.600 + echo "$ac_t""$CC" 1>&6
1.601 +else
1.602 + echo "$ac_t""no" 1>&6
1.603 +fi
1.604 +
1.605 +if test -z "$CC"; then
1.606 + # Extract the first word of "cc", so it can be a program name with args.
1.607 +set dummy cc; ac_word=$2
1.608 +echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1.609 +echo "configure:607: checking for $ac_word" >&5
1.610 +if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
1.611 + echo $ac_n "(cached) $ac_c" 1>&6
1.612 +else
1.613 + if test -n "$CC"; then
1.614 + ac_cv_prog_CC="$CC" # Let the user override the test.
1.615 +else
1.616 + IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
1.617 + ac_prog_rejected=no
1.618 + ac_dummy="$PATH"
1.619 + for ac_dir in $ac_dummy; do
1.620 + test -z "$ac_dir" && ac_dir=.
1.621 + if test -f $ac_dir/$ac_word; then
1.622 + if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
1.623 + ac_prog_rejected=yes
1.624 + continue
1.625 + fi
1.626 + ac_cv_prog_CC="cc"
1.627 + break
1.628 + fi
1.629 + done
1.630 + IFS="$ac_save_ifs"
1.631 +if test $ac_prog_rejected = yes; then
1.632 + # We found a bogon in the path, so make sure we never use it.
1.633 + set dummy $ac_cv_prog_CC
1.634 + shift
1.635 + if test $# -gt 0; then
1.636 + # We chose a different compiler from the bogus one.
1.637 + # However, it has the same basename, so the bogon will be chosen
1.638 + # first if we set CC to just the basename; use the full file name.
1.639 + shift
1.640 + set dummy "$ac_dir/$ac_word" "$@"
1.641 + shift
1.642 + ac_cv_prog_CC="$@"
1.643 + fi
1.644 +fi
1.645 +fi
1.646 +fi
1.647 +CC="$ac_cv_prog_CC"
1.648 +if test -n "$CC"; then
1.649 + echo "$ac_t""$CC" 1>&6
1.650 +else
1.651 + echo "$ac_t""no" 1>&6
1.652 +fi
1.653 +
1.654 + if test -z "$CC"; then
1.655 + case "`uname -s`" in
1.656 + *win32* | *WIN32*)
1.657 + # Extract the first word of "cl", so it can be a program name with args.
1.658 +set dummy cl; ac_word=$2
1.659 +echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1.660 +echo "configure:658: checking for $ac_word" >&5
1.661 +if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
1.662 + echo $ac_n "(cached) $ac_c" 1>&6
1.663 +else
1.664 + if test -n "$CC"; then
1.665 + ac_cv_prog_CC="$CC" # Let the user override the test.
1.666 +else
1.667 + IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
1.668 + ac_dummy="$PATH"
1.669 + for ac_dir in $ac_dummy; do
1.670 + test -z "$ac_dir" && ac_dir=.
1.671 + if test -f $ac_dir/$ac_word; then
1.672 + ac_cv_prog_CC="cl"
1.673 + break
1.674 + fi
1.675 + done
1.676 + IFS="$ac_save_ifs"
1.677 +fi
1.678 +fi
1.679 +CC="$ac_cv_prog_CC"
1.680 +if test -n "$CC"; then
1.681 + echo "$ac_t""$CC" 1>&6
1.682 +else
1.683 + echo "$ac_t""no" 1>&6
1.684 +fi
1.685 + ;;
1.686 + esac
1.687 + fi
1.688 + test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
1.689 +fi
1.690 +
1.691 +echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
1.692 +echo "configure:690: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
1.693 +
1.694 +ac_ext=c
1.695 +# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1.696 +ac_cpp='$CPP $CPPFLAGS'
1.697 +ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1.698 +ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1.699 +cross_compiling=$ac_cv_prog_cc_cross
1.700 +
1.701 +cat > conftest.$ac_ext << EOF
1.702 +
1.703 +#line 701 "configure"
1.704 +#include "confdefs.h"
1.705 +
1.706 +main(){return(0);}
1.707 +EOF
1.708 +if { (eval echo configure:706: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1.709 + ac_cv_prog_cc_works=yes
1.710 + # If we can't run a trivial program, we are probably using a cross compiler.
1.711 + if (./conftest; exit) 2>/dev/null; then
1.712 + ac_cv_prog_cc_cross=no
1.713 + else
1.714 + ac_cv_prog_cc_cross=yes
1.715 + fi
1.716 +else
1.717 + echo "configure: failed program was:" >&5
1.718 + cat conftest.$ac_ext >&5
1.719 + ac_cv_prog_cc_works=no
1.720 +fi
1.721 +rm -fr conftest*
1.722 +ac_ext=c
1.723 +# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1.724 +ac_cpp='$CPP $CPPFLAGS'
1.725 +ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1.726 +ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1.727 +cross_compiling=$ac_cv_prog_cc_cross
1.728 +
1.729 +echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
1.730 +if test $ac_cv_prog_cc_works = no; then
1.731 + { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
1.732 +fi
1.733 +echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
1.734 +echo "configure:732: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
1.735 +echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
1.736 +cross_compiling=$ac_cv_prog_cc_cross
1.737 +
1.738 +echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
1.739 +echo "configure:737: checking whether we are using GNU C" >&5
1.740 +if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
1.741 + echo $ac_n "(cached) $ac_c" 1>&6
1.742 +else
1.743 + cat > conftest.c <<EOF
1.744 +#ifdef __GNUC__
1.745 + yes;
1.746 +#endif
1.747 +EOF
1.748 +if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:746: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
1.749 + ac_cv_prog_gcc=yes
1.750 +else
1.751 + ac_cv_prog_gcc=no
1.752 +fi
1.753 +fi
1.754 +
1.755 +echo "$ac_t""$ac_cv_prog_gcc" 1>&6
1.756 +
1.757 +if test $ac_cv_prog_gcc = yes; then
1.758 + GCC=yes
1.759 +else
1.760 + GCC=
1.761 +fi
1.762 +
1.763 +ac_test_CFLAGS="${CFLAGS+set}"
1.764 +ac_save_CFLAGS="$CFLAGS"
1.765 +CFLAGS=
1.766 +echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
1.767 +echo "configure:765: checking whether ${CC-cc} accepts -g" >&5
1.768 +if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
1.769 + echo $ac_n "(cached) $ac_c" 1>&6
1.770 +else
1.771 + echo 'void f(){}' > conftest.c
1.772 +if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
1.773 + ac_cv_prog_cc_g=yes
1.774 +else
1.775 + ac_cv_prog_cc_g=no
1.776 +fi
1.777 +rm -f conftest*
1.778 +
1.779 +fi
1.780 +
1.781 +echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
1.782 +if test "$ac_test_CFLAGS" = set; then
1.783 + CFLAGS="$ac_save_CFLAGS"
1.784 +elif test $ac_cv_prog_cc_g = yes; then
1.785 + if test "$GCC" = yes; then
1.786 + CFLAGS="-g -O2"
1.787 + else
1.788 + CFLAGS="-g"
1.789 + fi
1.790 +else
1.791 + if test "$GCC" = yes; then
1.792 + CFLAGS="-O2"
1.793 + else
1.794 + CFLAGS=
1.795 + fi
1.796 +fi
1.797 +
1.798 +
1.799 +# To properly support cross-compilation, one would
1.800 +# need to use these tool checks instead of
1.801 +# the ones below and reconfigure with
1.802 +# autoconf 2.50. You can also just set
1.803 +# the CC, AR, RANLIB, and RC environment
1.804 +# variables if you want to cross compile.
1.805 +
1.806 +if test "${GCC}" = "yes" ; then
1.807 + # Extract the first word of "ar", so it can be a program name with args.
1.808 +set dummy ar; ac_word=$2
1.809 +echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1.810 +echo "configure:808: checking for $ac_word" >&5
1.811 +if eval "test \"`echo '$''{'ac_cv_prog_AR'+set}'`\" = set"; then
1.812 + echo $ac_n "(cached) $ac_c" 1>&6
1.813 +else
1.814 + if test -n "$AR"; then
1.815 + ac_cv_prog_AR="$AR" # Let the user override the test.
1.816 +else
1.817 + IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
1.818 + ac_dummy="$PATH"
1.819 + for ac_dir in $ac_dummy; do
1.820 + test -z "$ac_dir" && ac_dir=.
1.821 + if test -f $ac_dir/$ac_word; then
1.822 + ac_cv_prog_AR="ar"
1.823 + break
1.824 + fi
1.825 + done
1.826 + IFS="$ac_save_ifs"
1.827 +fi
1.828 +fi
1.829 +AR="$ac_cv_prog_AR"
1.830 +if test -n "$AR"; then
1.831 + echo "$ac_t""$AR" 1>&6
1.832 +else
1.833 + echo "$ac_t""no" 1>&6
1.834 +fi
1.835 +
1.836 + # Extract the first word of "ranlib", so it can be a program name with args.
1.837 +set dummy ranlib; ac_word=$2
1.838 +echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1.839 +echo "configure:837: checking for $ac_word" >&5
1.840 +if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
1.841 + echo $ac_n "(cached) $ac_c" 1>&6
1.842 +else
1.843 + if test -n "$RANLIB"; then
1.844 + ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
1.845 +else
1.846 + IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
1.847 + ac_dummy="$PATH"
1.848 + for ac_dir in $ac_dummy; do
1.849 + test -z "$ac_dir" && ac_dir=.
1.850 + if test -f $ac_dir/$ac_word; then
1.851 + ac_cv_prog_RANLIB="ranlib"
1.852 + break
1.853 + fi
1.854 + done
1.855 + IFS="$ac_save_ifs"
1.856 +fi
1.857 +fi
1.858 +RANLIB="$ac_cv_prog_RANLIB"
1.859 +if test -n "$RANLIB"; then
1.860 + echo "$ac_t""$RANLIB" 1>&6
1.861 +else
1.862 + echo "$ac_t""no" 1>&6
1.863 +fi
1.864 +
1.865 + # Extract the first word of "windres", so it can be a program name with args.
1.866 +set dummy windres; ac_word=$2
1.867 +echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1.868 +echo "configure:866: checking for $ac_word" >&5
1.869 +if eval "test \"`echo '$''{'ac_cv_prog_RC'+set}'`\" = set"; then
1.870 + echo $ac_n "(cached) $ac_c" 1>&6
1.871 +else
1.872 + if test -n "$RC"; then
1.873 + ac_cv_prog_RC="$RC" # Let the user override the test.
1.874 +else
1.875 + IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
1.876 + ac_dummy="$PATH"
1.877 + for ac_dir in $ac_dummy; do
1.878 + test -z "$ac_dir" && ac_dir=.
1.879 + if test -f $ac_dir/$ac_word; then
1.880 + ac_cv_prog_RC="windres"
1.881 + break
1.882 + fi
1.883 + done
1.884 + IFS="$ac_save_ifs"
1.885 +fi
1.886 +fi
1.887 +RC="$ac_cv_prog_RC"
1.888 +if test -n "$RC"; then
1.889 + echo "$ac_t""$RC" 1>&6
1.890 +else
1.891 + echo "$ac_t""no" 1>&6
1.892 +fi
1.893 +
1.894 +
1.895 + if test "${AR}" = "" ; then
1.896 + { echo "configure: error: Required archive tool 'ar' not found on PATH." 1>&2; exit 1; }
1.897 + fi
1.898 + if test "${RANLIB}" = "" ; then
1.899 + { echo "configure: error: Required archive index tool 'ranlib' not found on PATH." 1>&2; exit 1; }
1.900 + fi
1.901 + if test "${RC}" = "" ; then
1.902 + { echo "configure: error: Required resource tool 'windres' not found on PATH." 1>&2; exit 1; }
1.903 + fi
1.904 +fi
1.905 +
1.906 +#--------------------------------------------------------------------
1.907 +# Checks to see if the make progeam sets the $MAKE variable.
1.908 +#--------------------------------------------------------------------
1.909 +
1.910 +echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
1.911 +echo "configure:909: checking whether ${MAKE-make} sets \${MAKE}" >&5
1.912 +set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
1.913 +if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
1.914 + echo $ac_n "(cached) $ac_c" 1>&6
1.915 +else
1.916 + cat > conftestmake <<\EOF
1.917 +all:
1.918 + @echo 'ac_maketemp="${MAKE}"'
1.919 +EOF
1.920 +# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
1.921 +eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
1.922 +if test -n "$ac_maketemp"; then
1.923 + eval ac_cv_prog_make_${ac_make}_set=yes
1.924 +else
1.925 + eval ac_cv_prog_make_${ac_make}_set=no
1.926 +fi
1.927 +rm -f conftestmake
1.928 +fi
1.929 +if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
1.930 + echo "$ac_t""yes" 1>&6
1.931 + SET_MAKE=
1.932 +else
1.933 + echo "$ac_t""no" 1>&6
1.934 + SET_MAKE="MAKE=${MAKE-make}"
1.935 +fi
1.936 +
1.937 +
1.938 +#--------------------------------------------------------------------
1.939 +# Perform additinal compiler tests.
1.940 +#--------------------------------------------------------------------
1.941 +
1.942 +echo $ac_n "checking for Cygwin environment""... $ac_c" 1>&6
1.943 +echo "configure:941: checking for Cygwin environment" >&5
1.944 +if eval "test \"`echo '$''{'ac_cv_cygwin'+set}'`\" = set"; then
1.945 + echo $ac_n "(cached) $ac_c" 1>&6
1.946 +else
1.947 + cat > conftest.$ac_ext <<EOF
1.948 +#line 946 "configure"
1.949 +#include "confdefs.h"
1.950 +
1.951 +int main() {
1.952 +
1.953 +#ifndef __CYGWIN__
1.954 +#define __CYGWIN__ __CYGWIN32__
1.955 +#endif
1.956 +return __CYGWIN__;
1.957 +; return 0; }
1.958 +EOF
1.959 +if { (eval echo configure:957: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1.960 + rm -rf conftest*
1.961 + ac_cv_cygwin=yes
1.962 +else
1.963 + echo "configure: failed program was:" >&5
1.964 + cat conftest.$ac_ext >&5
1.965 + rm -rf conftest*
1.966 + ac_cv_cygwin=no
1.967 +fi
1.968 +rm -f conftest*
1.969 +rm -f conftest*
1.970 +fi
1.971 +
1.972 +echo "$ac_t""$ac_cv_cygwin" 1>&6
1.973 +CYGWIN=
1.974 +test "$ac_cv_cygwin" = yes && CYGWIN=yes
1.975 +
1.976 +if test "$ac_cv_cygwin" = "yes" ; then
1.977 + { echo "configure: error: Compiling under Cygwin is not currently supported.
1.978 +A maintainer for the Cygwin port of Tcl/Tk is needed. See the README
1.979 +file for information about building with Mingw." 1>&2; exit 1; }
1.980 +fi
1.981 +
1.982 +
1.983 +echo $ac_n "checking for SEH support in compiler""... $ac_c" 1>&6
1.984 +echo "configure:982: checking for SEH support in compiler" >&5
1.985 +if eval "test \"`echo '$''{'tcl_cv_seh'+set}'`\" = set"; then
1.986 + echo $ac_n "(cached) $ac_c" 1>&6
1.987 +else
1.988 + if test "$cross_compiling" = yes; then
1.989 + tcl_cv_seh=no
1.990 +else
1.991 + cat > conftest.$ac_ext <<EOF
1.992 +#line 990 "configure"
1.993 +#include "confdefs.h"
1.994 +
1.995 +#define WIN32_LEAN_AND_MEAN
1.996 +#include <windows.h>
1.997 +#undef WIN32_LEAN_AND_MEAN
1.998 +
1.999 +int main(int argc, char** argv) {
1.1000 + int a, b = 0;
1.1001 + __try {
1.1002 + a = 666 / b;
1.1003 + }
1.1004 + __except (EXCEPTION_EXECUTE_HANDLER) {
1.1005 + return 0;
1.1006 + }
1.1007 + return 1;
1.1008 +}
1.1009 +
1.1010 +EOF
1.1011 +if { (eval echo configure:1009: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1.1012 +then
1.1013 + tcl_cv_seh=yes
1.1014 +else
1.1015 + echo "configure: failed program was:" >&5
1.1016 + cat conftest.$ac_ext >&5
1.1017 + rm -fr conftest*
1.1018 + tcl_cv_seh=no
1.1019 +fi
1.1020 +rm -fr conftest*
1.1021 +fi
1.1022 +
1.1023 +
1.1024 +fi
1.1025 +
1.1026 +echo "$ac_t""$tcl_cv_seh" 1>&6
1.1027 +if test "$tcl_cv_seh" = "no" ; then
1.1028 + cat >> confdefs.h <<\EOF
1.1029 +#define HAVE_NO_SEH 1
1.1030 +EOF
1.1031 +
1.1032 +fi
1.1033 +
1.1034 +#
1.1035 +# Check to see if the excpt.h include file provided contains the
1.1036 +# definition for EXCEPTION_DISPOSITION; if not, which is the case
1.1037 +# with Cygwin's version as of 2002-04-10, define it to be int,
1.1038 +# sufficient for getting the current code to work.
1.1039 +#
1.1040 +echo $ac_n "checking for EXCEPTION_DISPOSITION support in include files""... $ac_c" 1>&6
1.1041 +echo "configure:1039: checking for EXCEPTION_DISPOSITION support in include files" >&5
1.1042 +if eval "test \"`echo '$''{'tcl_cv_eh_disposition'+set}'`\" = set"; then
1.1043 + echo $ac_n "(cached) $ac_c" 1>&6
1.1044 +else
1.1045 + cat > conftest.$ac_ext <<EOF
1.1046 +#line 1044 "configure"
1.1047 +#include "confdefs.h"
1.1048 +
1.1049 +#define WIN32_LEAN_AND_MEAN
1.1050 +#include <windows.h>
1.1051 +#undef WIN32_LEAN_AND_MEAN
1.1052 +
1.1053 +int main() {
1.1054 +
1.1055 + EXCEPTION_DISPOSITION x;
1.1056 +
1.1057 +; return 0; }
1.1058 +EOF
1.1059 +if { (eval echo configure:1057: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1.1060 + rm -rf conftest*
1.1061 + tcl_cv_eh_disposition=yes
1.1062 +else
1.1063 + echo "configure: failed program was:" >&5
1.1064 + cat conftest.$ac_ext >&5
1.1065 + rm -rf conftest*
1.1066 + tcl_cv_eh_disposition=no
1.1067 +fi
1.1068 +rm -f conftest*
1.1069 +
1.1070 +fi
1.1071 +
1.1072 +echo "$ac_t""$tcl_cv_eh_disposition" 1>&6
1.1073 +if test "$tcl_cv_eh_disposition" = "no" ; then
1.1074 + cat >> confdefs.h <<\EOF
1.1075 +#define EXCEPTION_DISPOSITION int
1.1076 +EOF
1.1077 +
1.1078 +fi
1.1079 +
1.1080 +
1.1081 +# Check to see if the winsock2.h include file provided contains
1.1082 +# typedefs like LPFN_ACCEPT and friends.
1.1083 +#
1.1084 +echo $ac_n "checking for LPFN_ACCEPT support in winsock2.h""... $ac_c" 1>&6
1.1085 +echo "configure:1083: checking for LPFN_ACCEPT support in winsock2.h" >&5
1.1086 +if eval "test \"`echo '$''{'tcl_cv_lpfn_decls'+set}'`\" = set"; then
1.1087 + echo $ac_n "(cached) $ac_c" 1>&6
1.1088 +else
1.1089 + cat > conftest.$ac_ext <<EOF
1.1090 +#line 1088 "configure"
1.1091 +#include "confdefs.h"
1.1092 +
1.1093 +#define WIN32_LEAN_AND_MEAN
1.1094 +#include <windows.h>
1.1095 +#undef WIN32_LEAN_AND_MEAN
1.1096 +#include <winsock2.h>
1.1097 +
1.1098 +int main() {
1.1099 +
1.1100 + LPFN_ACCEPT accept;
1.1101 +
1.1102 +; return 0; }
1.1103 +EOF
1.1104 +if { (eval echo configure:1102: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1.1105 + rm -rf conftest*
1.1106 + tcl_cv_lpfn_decls=yes
1.1107 +else
1.1108 + echo "configure: failed program was:" >&5
1.1109 + cat conftest.$ac_ext >&5
1.1110 + rm -rf conftest*
1.1111 + tcl_cv_lpfn_decls=no
1.1112 +fi
1.1113 +rm -f conftest*
1.1114 +
1.1115 +fi
1.1116 +
1.1117 +echo "$ac_t""$tcl_cv_lpfn_decls" 1>&6
1.1118 +if test "$tcl_cv_lpfn_decls" = "no" ; then
1.1119 + cat >> confdefs.h <<\EOF
1.1120 +#define HAVE_NO_LPFN_DECLS 1
1.1121 +EOF
1.1122 +
1.1123 +fi
1.1124 +
1.1125 +# Check to see if winnt.h defines CHAR, SHORT, and LONG
1.1126 +# even if VOID has already been #defined. The win32api
1.1127 +# used by mingw and cygwin is known to do this.
1.1128 +
1.1129 +echo $ac_n "checking for winnt.h that ignores VOID define""... $ac_c" 1>&6
1.1130 +echo "configure:1128: checking for winnt.h that ignores VOID define" >&5
1.1131 +if eval "test \"`echo '$''{'tcl_cv_winnt_ignore_void'+set}'`\" = set"; then
1.1132 + echo $ac_n "(cached) $ac_c" 1>&6
1.1133 +else
1.1134 + cat > conftest.$ac_ext <<EOF
1.1135 +#line 1133 "configure"
1.1136 +#include "confdefs.h"
1.1137 +
1.1138 +#define VOID void
1.1139 +#define WIN32_LEAN_AND_MEAN
1.1140 +#include <windows.h>
1.1141 +#undef WIN32_LEAN_AND_MEAN
1.1142 +
1.1143 +int main() {
1.1144 +
1.1145 + CHAR c;
1.1146 + SHORT s;
1.1147 + LONG l;
1.1148 +
1.1149 +; return 0; }
1.1150 +EOF
1.1151 +if { (eval echo configure:1149: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1.1152 + rm -rf conftest*
1.1153 + tcl_cv_winnt_ignore_void=yes
1.1154 +else
1.1155 + echo "configure: failed program was:" >&5
1.1156 + cat conftest.$ac_ext >&5
1.1157 + rm -rf conftest*
1.1158 + tcl_cv_winnt_ignore_void=no
1.1159 +fi
1.1160 +rm -f conftest*
1.1161 +
1.1162 +fi
1.1163 +
1.1164 +echo "$ac_t""$tcl_cv_winnt_ignore_void" 1>&6
1.1165 +if test "$tcl_cv_winnt_ignore_void" = "yes" ; then
1.1166 + cat >> confdefs.h <<\EOF
1.1167 +#define HAVE_WINNT_IGNORE_VOID 1
1.1168 +EOF
1.1169 +
1.1170 +fi
1.1171 +
1.1172 +# Check to see if malloc.h is missing the alloca function
1.1173 +# declaration. This is known to be a problem with Mingw.
1.1174 +# If we compiled without the function declaration, it
1.1175 +# would work but we would get a warning message from gcc.
1.1176 +# If we add the function declaration ourselves, it
1.1177 +# would not compile correctly because the _alloca
1.1178 +# function expects the argument to be passed in a
1.1179 +# register and not on the stack. Instead, we just
1.1180 +# call it from inline asm code.
1.1181 +
1.1182 +echo $ac_n "checking for alloca declaration in malloc.h""... $ac_c" 1>&6
1.1183 +echo "configure:1181: checking for alloca declaration in malloc.h" >&5
1.1184 +if eval "test \"`echo '$''{'tcl_cv_malloc_decl_alloca'+set}'`\" = set"; then
1.1185 + echo $ac_n "(cached) $ac_c" 1>&6
1.1186 +else
1.1187 + cat > conftest.$ac_ext <<EOF
1.1188 +#line 1186 "configure"
1.1189 +#include "confdefs.h"
1.1190 +
1.1191 +#include <malloc.h>
1.1192 +
1.1193 +int main() {
1.1194 +
1.1195 + size_t arg = 0;
1.1196 + void* ptr;
1.1197 + ptr = alloca;
1.1198 + ptr = alloca(arg);
1.1199 +
1.1200 +; return 0; }
1.1201 +EOF
1.1202 +if { (eval echo configure:1200: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1.1203 + rm -rf conftest*
1.1204 + tcl_cv_malloc_decl_alloca=yes
1.1205 +else
1.1206 + echo "configure: failed program was:" >&5
1.1207 + cat conftest.$ac_ext >&5
1.1208 + rm -rf conftest*
1.1209 + tcl_cv_malloc_decl_alloca=no
1.1210 +fi
1.1211 +rm -f conftest*
1.1212 +
1.1213 +fi
1.1214 +
1.1215 +echo "$ac_t""$tcl_cv_malloc_decl_alloca" 1>&6
1.1216 +if test "$tcl_cv_malloc_decl_alloca" = "no" &&
1.1217 + test "${GCC}" = "yes" ; then
1.1218 + cat >> confdefs.h <<\EOF
1.1219 +#define HAVE_ALLOCA_GCC_INLINE 1
1.1220 +EOF
1.1221 +
1.1222 +fi
1.1223 +
1.1224 +# See if the compiler supports casting to a union type.
1.1225 +# This is used to stop gcc from printing a compiler
1.1226 +# warning when initializing a union member.
1.1227 +
1.1228 +echo $ac_n "checking for cast to union support""... $ac_c" 1>&6
1.1229 +echo "configure:1227: checking for cast to union support" >&5
1.1230 +if eval "test \"`echo '$''{'tcl_cv_cast_to_union'+set}'`\" = set"; then
1.1231 + echo $ac_n "(cached) $ac_c" 1>&6
1.1232 +else
1.1233 + cat > conftest.$ac_ext <<EOF
1.1234 +#line 1232 "configure"
1.1235 +#include "confdefs.h"
1.1236 +
1.1237 +int main() {
1.1238 +
1.1239 + union foo { int i; double d; };
1.1240 + union foo f = (union foo) (int) 0;
1.1241 +
1.1242 +; return 0; }
1.1243 +EOF
1.1244 +if { (eval echo configure:1242: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1.1245 + rm -rf conftest*
1.1246 + tcl_cv_cast_to_union=yes
1.1247 +else
1.1248 + echo "configure: failed program was:" >&5
1.1249 + cat conftest.$ac_ext >&5
1.1250 + rm -rf conftest*
1.1251 + tcl_cv_cast_to_union=no
1.1252 +fi
1.1253 +rm -f conftest*
1.1254 +
1.1255 +fi
1.1256 +
1.1257 +echo "$ac_t""$tcl_cv_cast_to_union" 1>&6
1.1258 +if test "$tcl_cv_cast_to_union" = "yes"; then
1.1259 + cat >> confdefs.h <<\EOF
1.1260 +#define HAVE_CAST_TO_UNION 1
1.1261 +EOF
1.1262 +
1.1263 +fi
1.1264 +
1.1265 +
1.1266 +#--------------------------------------------------------------------
1.1267 +# Determines the correct binary file extension (.o, .obj, .exe etc.)
1.1268 +#--------------------------------------------------------------------
1.1269 +
1.1270 +echo $ac_n "checking for object suffix""... $ac_c" 1>&6
1.1271 +echo "configure:1269: checking for object suffix" >&5
1.1272 +if eval "test \"`echo '$''{'ac_cv_objext'+set}'`\" = set"; then
1.1273 + echo $ac_n "(cached) $ac_c" 1>&6
1.1274 +else
1.1275 + rm -f conftest*
1.1276 +echo 'int i = 1;' > conftest.$ac_ext
1.1277 +if { (eval echo configure:1275: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1.1278 + for ac_file in conftest.*; do
1.1279 + case $ac_file in
1.1280 + *.c) ;;
1.1281 + *) ac_cv_objext=`echo $ac_file | sed -e s/conftest.//` ;;
1.1282 + esac
1.1283 + done
1.1284 +else
1.1285 + { echo "configure: error: installation or configuration problem; compiler does not work" 1>&2; exit 1; }
1.1286 +fi
1.1287 +rm -f conftest*
1.1288 +fi
1.1289 +
1.1290 +echo "$ac_t""$ac_cv_objext" 1>&6
1.1291 +OBJEXT=$ac_cv_objext
1.1292 +ac_objext=$ac_cv_objext
1.1293 +
1.1294 +echo $ac_n "checking for mingw32 environment""... $ac_c" 1>&6
1.1295 +echo "configure:1293: checking for mingw32 environment" >&5
1.1296 +if eval "test \"`echo '$''{'ac_cv_mingw32'+set}'`\" = set"; then
1.1297 + echo $ac_n "(cached) $ac_c" 1>&6
1.1298 +else
1.1299 + cat > conftest.$ac_ext <<EOF
1.1300 +#line 1298 "configure"
1.1301 +#include "confdefs.h"
1.1302 +
1.1303 +int main() {
1.1304 +return __MINGW32__;
1.1305 +; return 0; }
1.1306 +EOF
1.1307 +if { (eval echo configure:1305: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1.1308 + rm -rf conftest*
1.1309 + ac_cv_mingw32=yes
1.1310 +else
1.1311 + echo "configure: failed program was:" >&5
1.1312 + cat conftest.$ac_ext >&5
1.1313 + rm -rf conftest*
1.1314 + ac_cv_mingw32=no
1.1315 +fi
1.1316 +rm -f conftest*
1.1317 +rm -f conftest*
1.1318 +fi
1.1319 +
1.1320 +echo "$ac_t""$ac_cv_mingw32" 1>&6
1.1321 +MINGW32=
1.1322 +test "$ac_cv_mingw32" = yes && MINGW32=yes
1.1323 +
1.1324 +
1.1325 +echo $ac_n "checking for executable suffix""... $ac_c" 1>&6
1.1326 +echo "configure:1324: checking for executable suffix" >&5
1.1327 +if eval "test \"`echo '$''{'ac_cv_exeext'+set}'`\" = set"; then
1.1328 + echo $ac_n "(cached) $ac_c" 1>&6
1.1329 +else
1.1330 + if test "$CYGWIN" = yes || test "$MINGW32" = yes; then
1.1331 + ac_cv_exeext=.exe
1.1332 +else
1.1333 + rm -f conftest*
1.1334 + echo 'int main () { return 0; }' > conftest.$ac_ext
1.1335 + ac_cv_exeext=
1.1336 + if { (eval echo configure:1334: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }; then
1.1337 + for file in conftest.*; do
1.1338 + case $file in
1.1339 + *.c | *.o | *.obj) ;;
1.1340 + *) ac_cv_exeext=`echo $file | sed -e s/conftest//` ;;
1.1341 + esac
1.1342 + done
1.1343 + else
1.1344 + { echo "configure: error: installation or configuration problem: compiler cannot create executables." 1>&2; exit 1; }
1.1345 + fi
1.1346 + rm -f conftest*
1.1347 + test x"${ac_cv_exeext}" = x && ac_cv_exeext=no
1.1348 +fi
1.1349 +fi
1.1350 +
1.1351 +EXEEXT=""
1.1352 +test x"${ac_cv_exeext}" != xno && EXEEXT=${ac_cv_exeext}
1.1353 +echo "$ac_t""${ac_cv_exeext}" 1>&6
1.1354 +ac_exeext=$EXEEXT
1.1355 +
1.1356 +
1.1357 +#--------------------------------------------------------------------
1.1358 +# Check whether --enable-threads or --disable-threads was given.
1.1359 +#--------------------------------------------------------------------
1.1360 +
1.1361 +
1.1362 + echo $ac_n "checking for building with threads""... $ac_c" 1>&6
1.1363 +echo "configure:1361: checking for building with threads" >&5
1.1364 + # Check whether --enable-threads or --disable-threads was given.
1.1365 +if test "${enable_threads+set}" = set; then
1.1366 + enableval="$enable_threads"
1.1367 + tcl_ok=$enableval
1.1368 +else
1.1369 + tcl_ok=no
1.1370 +fi
1.1371 +
1.1372 +
1.1373 + if test "$tcl_ok" = "yes"; then
1.1374 + echo "$ac_t""yes" 1>&6
1.1375 + TCL_THREADS=1
1.1376 + cat >> confdefs.h <<\EOF
1.1377 +#define TCL_THREADS 1
1.1378 +EOF
1.1379 +
1.1380 + # USE_THREAD_ALLOC tells us to try the special thread-based
1.1381 + # allocator that significantly reduces lock contention
1.1382 + cat >> confdefs.h <<\EOF
1.1383 +#define USE_THREAD_ALLOC 1
1.1384 +EOF
1.1385 +
1.1386 + else
1.1387 + TCL_THREADS=0
1.1388 + echo "$ac_t""no (default)" 1>&6
1.1389 + fi
1.1390 +
1.1391 +
1.1392 +
1.1393 +#--------------------------------------------------------------------
1.1394 +# The statements below define a collection of symbols related to
1.1395 +# building libtcl as a shared library instead of a static library.
1.1396 +#--------------------------------------------------------------------
1.1397 +
1.1398 +
1.1399 + echo $ac_n "checking how to build libraries""... $ac_c" 1>&6
1.1400 +echo "configure:1398: checking how to build libraries" >&5
1.1401 + # Check whether --enable-shared or --disable-shared was given.
1.1402 +if test "${enable_shared+set}" = set; then
1.1403 + enableval="$enable_shared"
1.1404 + tcl_ok=$enableval
1.1405 +else
1.1406 + tcl_ok=yes
1.1407 +fi
1.1408 +
1.1409 +
1.1410 + if test "${enable_shared+set}" = set; then
1.1411 + enableval="$enable_shared"
1.1412 + tcl_ok=$enableval
1.1413 + else
1.1414 + tcl_ok=yes
1.1415 + fi
1.1416 +
1.1417 + if test "$tcl_ok" = "yes" ; then
1.1418 + echo "$ac_t""shared" 1>&6
1.1419 + SHARED_BUILD=1
1.1420 + else
1.1421 + echo "$ac_t""static" 1>&6
1.1422 + SHARED_BUILD=0
1.1423 + cat >> confdefs.h <<\EOF
1.1424 +#define STATIC_BUILD 1
1.1425 +EOF
1.1426 +
1.1427 + fi
1.1428 +
1.1429 +
1.1430 +#--------------------------------------------------------------------
1.1431 +# The statements below define a collection of compile flags. This
1.1432 +# macro depends on the value of SHARED_BUILD, and should be called
1.1433 +# after SC_ENABLE_SHARED checks the configure switches.
1.1434 +#--------------------------------------------------------------------
1.1435 +
1.1436 +
1.1437 +
1.1438 + # Step 0: Enable 64 bit support?
1.1439 +
1.1440 + echo $ac_n "checking if 64bit support is requested""... $ac_c" 1>&6
1.1441 +echo "configure:1439: checking if 64bit support is requested" >&5
1.1442 + # Check whether --enable-64bit or --disable-64bit was given.
1.1443 +if test "${enable_64bit+set}" = set; then
1.1444 + enableval="$enable_64bit"
1.1445 + do64bit=$enableval
1.1446 +else
1.1447 + do64bit=no
1.1448 +fi
1.1449 +
1.1450 + echo "$ac_t""$do64bit" 1>&6
1.1451 +
1.1452 + # Set some defaults (may get changed below)
1.1453 + EXTRA_CFLAGS=""
1.1454 +
1.1455 + # Extract the first word of "cygpath", so it can be a program name with args.
1.1456 +set dummy cygpath; ac_word=$2
1.1457 +echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1.1458 +echo "configure:1456: checking for $ac_word" >&5
1.1459 +if eval "test \"`echo '$''{'ac_cv_prog_CYGPATH'+set}'`\" = set"; then
1.1460 + echo $ac_n "(cached) $ac_c" 1>&6
1.1461 +else
1.1462 + if test -n "$CYGPATH"; then
1.1463 + ac_cv_prog_CYGPATH="$CYGPATH" # Let the user override the test.
1.1464 +else
1.1465 + IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
1.1466 + ac_dummy="$PATH"
1.1467 + for ac_dir in $ac_dummy; do
1.1468 + test -z "$ac_dir" && ac_dir=.
1.1469 + if test -f $ac_dir/$ac_word; then
1.1470 + ac_cv_prog_CYGPATH="cygpath -w"
1.1471 + break
1.1472 + fi
1.1473 + done
1.1474 + IFS="$ac_save_ifs"
1.1475 + test -z "$ac_cv_prog_CYGPATH" && ac_cv_prog_CYGPATH="echo"
1.1476 +fi
1.1477 +fi
1.1478 +CYGPATH="$ac_cv_prog_CYGPATH"
1.1479 +if test -n "$CYGPATH"; then
1.1480 + echo "$ac_t""$CYGPATH" 1>&6
1.1481 +else
1.1482 + echo "$ac_t""no" 1>&6
1.1483 +fi
1.1484 +
1.1485 +
1.1486 + SHLIB_SUFFIX=".dll"
1.1487 +
1.1488 + # MACHINE is IX86 for LINK, but this is used by the manifest,
1.1489 + # which requires x86|amd64|ia64.
1.1490 + MACHINE="X86"
1.1491 +
1.1492 + # Check for a bug in gcc's windres that causes the
1.1493 + # compile to fail when a Windows native path is
1.1494 + # passed into windres. The mingw toolchain requires
1.1495 + # Windows native paths while Cygwin should work
1.1496 + # with both. Avoid the bug by passing a POSIX
1.1497 + # path when using the Cygwin toolchain.
1.1498 +
1.1499 + if test "$GCC" = "yes" && test "$CYGPATH" != "echo" ; then
1.1500 + conftest=/tmp/conftest.rc
1.1501 + echo "STRINGTABLE BEGIN" > $conftest
1.1502 + echo "101 \"name\"" >> $conftest
1.1503 + echo "END" >> $conftest
1.1504 +
1.1505 + echo $ac_n "checking for Windows native path bug in windres""... $ac_c" 1>&6
1.1506 +echo "configure:1504: checking for Windows native path bug in windres" >&5
1.1507 + cyg_conftest=`$CYGPATH $conftest`
1.1508 + if { ac_try='$RC -o conftest.res.o $cyg_conftest'; { (eval echo configure:1506: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } ; then
1.1509 + echo "$ac_t""no" 1>&6
1.1510 + else
1.1511 + echo "$ac_t""yes" 1>&6
1.1512 + CYGPATH=echo
1.1513 + fi
1.1514 + conftest=
1.1515 + cyg_conftest=
1.1516 + fi
1.1517 +
1.1518 + if test "$CYGPATH" = "echo" || test "$ac_cv_cygwin" = "yes"; then
1.1519 + DEPARG='"$<"'
1.1520 + else
1.1521 + DEPARG='"$(shell $(CYGPATH) $<)"'
1.1522 + fi
1.1523 +
1.1524 + # set various compiler flags depending on whether we are using gcc or cl
1.1525 +
1.1526 + echo $ac_n "checking compiler flags""... $ac_c" 1>&6
1.1527 +echo "configure:1525: checking compiler flags" >&5
1.1528 + if test "${GCC}" = "yes" ; then
1.1529 + if test "$do64bit" != "no" ; then
1.1530 + echo "configure: warning: "64bit mode not supported with GCC on Windows"" 1>&2
1.1531 + fi
1.1532 + SHLIB_LD=""
1.1533 + SHLIB_LD_LIBS=""
1.1534 + LIBS=""
1.1535 + LIBS_GUI="-lgdi32 -lcomdlg32 -limm32 -lcomctl32 -lshell32"
1.1536 + STLIB_LD='${AR} cr'
1.1537 + RC_OUT=-o
1.1538 + RC_TYPE=
1.1539 + RC_INCLUDE=--include
1.1540 + RC_DEFINE=--define
1.1541 + RES=res.o
1.1542 + MAKE_LIB="\${STLIB_LD} \$@"
1.1543 + POST_MAKE_LIB="\${RANLIB} \$@"
1.1544 + MAKE_EXE="\${CC} -o \$@"
1.1545 + LIBPREFIX="lib"
1.1546 +
1.1547 + #if test "$ac_cv_cygwin" = "yes"; then
1.1548 + # extra_cflags="-mno-cygwin"
1.1549 + # extra_ldflags="-mno-cygwin"
1.1550 + #else
1.1551 + # extra_cflags=""
1.1552 + # extra_ldflags=""
1.1553 + #fi
1.1554 +
1.1555 + if test "$ac_cv_cygwin" = "yes"; then
1.1556 + touch ac$$.c
1.1557 + if ${CC} -c -mwin32 ac$$.c >/dev/null 2>&1; then
1.1558 + case "$extra_cflags" in
1.1559 + *-mwin32*) ;;
1.1560 + *) extra_cflags="-mwin32 $extra_cflags" ;;
1.1561 + esac
1.1562 + case "$extra_ldflags" in
1.1563 + *-mwin32*) ;;
1.1564 + *) extra_ldflags="-mwin32 $extra_ldflags" ;;
1.1565 + esac
1.1566 + fi
1.1567 + rm -f ac$$.o ac$$.c
1.1568 + else
1.1569 + extra_cflags=''
1.1570 + extra_ldflags=''
1.1571 + fi
1.1572 +
1.1573 + if test "${SHARED_BUILD}" = "0" ; then
1.1574 + # static
1.1575 + echo "$ac_t""using static flags" 1>&6
1.1576 + runtime=
1.1577 + MAKE_DLL="echo "
1.1578 + LIBSUFFIX="s\${DBGX}.a"
1.1579 + LIBFLAGSUFFIX="s\${DBGX}"
1.1580 + LIBRARIES="\${STATIC_LIBRARIES}"
1.1581 + EXESUFFIX="s\${DBGX}.exe"
1.1582 + else
1.1583 + # dynamic
1.1584 + echo "$ac_t""using shared flags" 1>&6
1.1585 +
1.1586 + # ad-hoc check to see if CC supports -shared.
1.1587 + if "${CC}" -shared 2>&1 | egrep ': -shared not supported' >/dev/null; then
1.1588 + { echo "configure: error: ${CC} does not support the -shared option.
1.1589 + You will need to upgrade to a newer version of the toolchain." 1>&2; exit 1; }
1.1590 + fi
1.1591 +
1.1592 + runtime=
1.1593 + # Link with gcc since ld does not link to default libs like
1.1594 + # -luser32 and -lmsvcrt by default. Make sure CFLAGS is
1.1595 + # included so -mno-cygwin passed the correct libs to the linker.
1.1596 + SHLIB_LD='${CC} -shared ${CFLAGS}'
1.1597 + SHLIB_LD_LIBS='${LIBS}'
1.1598 + # Add SHLIB_LD_LIBS to the Make rule, not here.
1.1599 + MAKE_DLL="\${SHLIB_LD} \$(LDFLAGS) -o \$@ ${extra_ldflags} \
1.1600 + -Wl,--out-implib,\$(patsubst %.dll,lib%.a,\$@)"
1.1601 +
1.1602 + LIBSUFFIX="\${DBGX}.a"
1.1603 + LIBFLAGSUFFIX="\${DBGX}"
1.1604 + EXESUFFIX="\${DBGX}.exe"
1.1605 + LIBRARIES="\${SHARED_LIBRARIES}"
1.1606 + fi
1.1607 + # DLLSUFFIX is separate because it is the building block for
1.1608 + # users of tclConfig.sh that may build shared or static.
1.1609 + DLLSUFFIX="\${DBGX}.dll"
1.1610 + SHLIB_SUFFIX=.dll
1.1611 +
1.1612 + EXTRA_CFLAGS="${extra_cflags}"
1.1613 +
1.1614 + CFLAGS_DEBUG=-g
1.1615 + CFLAGS_OPTIMIZE="-O2 -fomit-frame-pointer"
1.1616 + CFLAGS_WARNING="-Wall -Wconversion"
1.1617 + LDFLAGS_DEBUG=
1.1618 + LDFLAGS_OPTIMIZE=
1.1619 +
1.1620 + # Specify the CC output file names based on the target name
1.1621 + CC_OBJNAME="-o \$@"
1.1622 + CC_EXENAME="-o \$@"
1.1623 +
1.1624 + # Specify linker flags depending on the type of app being
1.1625 + # built -- Console vs. Window.
1.1626 + #
1.1627 + # ORIGINAL COMMENT:
1.1628 + # We need to pass -e _WinMain@16 so that ld will use
1.1629 + # WinMain() instead of main() as the entry point. We can't
1.1630 + # use autoconf to check for this case since it would need
1.1631 + # to run an executable and that does not work when
1.1632 + # cross compiling. Remove this -e workaround once we
1.1633 + # require a gcc that does not have this bug.
1.1634 + #
1.1635 + # MK NOTE: Tk should use a different mechanism. This causes
1.1636 + # interesting problems, such as wish dying at startup.
1.1637 + #LDFLAGS_WINDOW="-mwindows -e _WinMain@16 ${extra_ldflags}"
1.1638 + LDFLAGS_CONSOLE="-mconsole ${extra_ldflags}"
1.1639 + LDFLAGS_WINDOW="-mwindows ${extra_ldflags}"
1.1640 + else
1.1641 + if test "${SHARED_BUILD}" = "0" ; then
1.1642 + # static
1.1643 + echo "$ac_t""using static flags" 1>&6
1.1644 + runtime=-MT
1.1645 + MAKE_DLL="echo "
1.1646 + LIBSUFFIX="s\${DBGX}.lib"
1.1647 + LIBFLAGSUFFIX="s\${DBGX}"
1.1648 + LIBRARIES="\${STATIC_LIBRARIES}"
1.1649 + EXESUFFIX="s\${DBGX}.exe"
1.1650 + SHLIB_LD_LIBS=""
1.1651 + else
1.1652 + # dynamic
1.1653 + echo "$ac_t""using shared flags" 1>&6
1.1654 + runtime=-MD
1.1655 + # Add SHLIB_LD_LIBS to the Make rule, not here.
1.1656 + MAKE_DLL="\${SHLIB_LD} \$(LDFLAGS) -out:\$@"
1.1657 + LIBSUFFIX="\${DBGX}.lib"
1.1658 + LIBFLAGSUFFIX="\${DBGX}"
1.1659 + EXESUFFIX="\${DBGX}.exe"
1.1660 + LIBRARIES="\${SHARED_LIBRARIES}"
1.1661 + SHLIB_LD_LIBS='${LIBS}'
1.1662 + fi
1.1663 + # DLLSUFFIX is separate because it is the building block for
1.1664 + # users of tclConfig.sh that may build shared or static.
1.1665 + DLLSUFFIX="\${DBGX}.dll"
1.1666 +
1.1667 + # This is a 2-stage check to make sure we have the 64-bit SDK
1.1668 + # We have to know where the SDK is installed.
1.1669 + # This magic is based on MS Platform SDK for Win2003 SP1 - hobbs
1.1670 + if test "$do64bit" != "no" ; then
1.1671 + if test "x${MSSDK}x" = "xx" ; then
1.1672 + MSSDK="C:/Progra~1/Microsoft Platform SDK"
1.1673 + fi
1.1674 + MSSDK=`echo "$MSSDK" | sed -e 's!\\\!/!g'`
1.1675 + PATH64=""
1.1676 + case "$do64bit" in
1.1677 + amd64|x64|yes)
1.1678 + MACHINE="AMD64" ; # default to AMD64 64-bit build
1.1679 + PATH64="${MSSDK}/Bin/Win64/x86/AMD64"
1.1680 + ;;
1.1681 + ia64)
1.1682 + MACHINE="IA64"
1.1683 + PATH64="${MSSDK}/Bin/Win64"
1.1684 + ;;
1.1685 + esac
1.1686 + if test ! -d "${PATH64}" ; then
1.1687 + echo "configure: warning: Could not find 64-bit $MACHINE SDK to enable 64bit mode" 1>&2
1.1688 + echo "configure: warning: Ensure latest Platform SDK is installed" 1>&2
1.1689 + do64bit="no"
1.1690 + else
1.1691 + echo "$ac_t"" Using 64-bit $MACHINE mode" 1>&6
1.1692 + fi
1.1693 + fi
1.1694 +
1.1695 + if test "$do64bit" != "no" ; then
1.1696 + # The space-based-path will work for the Makefile, but will
1.1697 + # not work if AC_TRY_COMPILE is called.
1.1698 + CC="\"${PATH64}/cl.exe\" -I\"${MSSDK}/Include\" \
1.1699 + -I\"${MSSDK}/Include/crt\" -I\"${MSSDK}/Include/crt/sys\""
1.1700 + RC="\"${MSSDK}/bin/rc.exe\""
1.1701 + CFLAGS_DEBUG="-nologo -Zi -Od ${runtime}d"
1.1702 + # Do not use -O2 for Win64 - this has proved buggy in code gen.
1.1703 + CFLAGS_OPTIMIZE="-nologo -O1 ${runtime}"
1.1704 + lflags="-nologo -MACHINE:${MACHINE} -LIBPATH:\"${MSSDK}/Lib/${MACHINE}\""
1.1705 + LINKBIN="\"${PATH64}/link.exe\""
1.1706 + # Avoid 'unresolved external symbol __security_cookie' errors.
1.1707 + # c.f. http://support.microsoft.com/?id=894573
1.1708 + LIBS="user32.lib advapi32.lib bufferoverflowU.lib"
1.1709 + else
1.1710 + RC="rc"
1.1711 + # -Od - no optimization
1.1712 + # -WX - warnings as errors
1.1713 + CFLAGS_DEBUG="-nologo -Z7 -Od -WX ${runtime}d"
1.1714 + # -O2 - create fast code (/Og /Oi /Ot /Oy /Ob2 /Gs /GF /Gy)
1.1715 + CFLAGS_OPTIMIZE="-nologo -O2 ${runtime}"
1.1716 + lflags="-nologo"
1.1717 + LINKBIN="link"
1.1718 + LIBS="user32.lib advapi32.lib"
1.1719 + fi
1.1720 +
1.1721 + LIBS_GUI="gdi32.lib comdlg32.lib imm32.lib comctl32.lib shell32.lib"
1.1722 + SHLIB_LD="${LINKBIN} -dll -incremental:no ${lflags}"
1.1723 + # link -lib only works when -lib is the first arg
1.1724 + STLIB_LD="${LINKBIN} -lib ${lflags}"
1.1725 + RC_OUT=-fo
1.1726 + RC_TYPE=-r
1.1727 + RC_INCLUDE=-i
1.1728 + RC_DEFINE=-d
1.1729 + RES=res
1.1730 + MAKE_LIB="\${STLIB_LD} -out:\$@"
1.1731 + POST_MAKE_LIB=
1.1732 + MAKE_EXE="\${CC} -Fe\$@"
1.1733 + LIBPREFIX=""
1.1734 +
1.1735 + EXTRA_CFLAGS=""
1.1736 + CFLAGS_WARNING="-W3"
1.1737 + LDFLAGS_DEBUG="-debug:full"
1.1738 + LDFLAGS_OPTIMIZE="-release"
1.1739 +
1.1740 + # Specify the CC output file names based on the target name
1.1741 + CC_OBJNAME="-Fo\$@"
1.1742 + CC_EXENAME="-Fe\"\$(shell \$(CYGPATH) '\$@')\""
1.1743 +
1.1744 + # Specify linker flags depending on the type of app being
1.1745 + # built -- Console vs. Window.
1.1746 + LDFLAGS_CONSOLE="-link -subsystem:console ${lflags}"
1.1747 + LDFLAGS_WINDOW="-link -subsystem:windows ${lflags}"
1.1748 + fi
1.1749 +
1.1750 + # DL_LIBS is empty, but then we match the Unix version
1.1751 +
1.1752 +
1.1753 +
1.1754 +
1.1755 +
1.1756 +
1.1757 +#--------------------------------------------------------------------
1.1758 +# Set the default compiler switches based on the --enable-symbols
1.1759 +# option. This macro depends on C flags, and should be called
1.1760 +# after SC_CONFIG_CFLAGS macro is called.
1.1761 +#--------------------------------------------------------------------
1.1762 +
1.1763 +
1.1764 + echo $ac_n "checking for build with symbols""... $ac_c" 1>&6
1.1765 +echo "configure:1763: checking for build with symbols" >&5
1.1766 + # Check whether --enable-symbols or --disable-symbols was given.
1.1767 +if test "${enable_symbols+set}" = set; then
1.1768 + enableval="$enable_symbols"
1.1769 + tcl_ok=$enableval
1.1770 +else
1.1771 + tcl_ok=no
1.1772 +fi
1.1773 +
1.1774 +# FIXME: Currently, LDFLAGS_DEFAULT is not used, it should work like CFLAGS_DEFAULT.
1.1775 + if test "$tcl_ok" = "no"; then
1.1776 + CFLAGS_DEFAULT='$(CFLAGS_OPTIMIZE)'
1.1777 + LDFLAGS_DEFAULT='$(LDFLAGS_OPTIMIZE)'
1.1778 + DBGX=""
1.1779 + echo "$ac_t""no" 1>&6
1.1780 + else
1.1781 + CFLAGS_DEFAULT='$(CFLAGS_DEBUG)'
1.1782 + LDFLAGS_DEFAULT='$(LDFLAGS_DEBUG)'
1.1783 + DBGX=g
1.1784 + if test "$tcl_ok" = "yes"; then
1.1785 + echo "$ac_t""yes (standard debugging)" 1>&6
1.1786 + fi
1.1787 + fi
1.1788 +
1.1789 +
1.1790 +
1.1791 + if test "$tcl_ok" = "mem" -o "$tcl_ok" = "all"; then
1.1792 + cat >> confdefs.h <<\EOF
1.1793 +#define TCL_MEM_DEBUG 1
1.1794 +EOF
1.1795 +
1.1796 + fi
1.1797 +
1.1798 + if test "$tcl_ok" = "compile" -o "$tcl_ok" = "all"; then
1.1799 + cat >> confdefs.h <<\EOF
1.1800 +#define TCL_COMPILE_DEBUG 1
1.1801 +EOF
1.1802 +
1.1803 + cat >> confdefs.h <<\EOF
1.1804 +#define TCL_COMPILE_STATS 1
1.1805 +EOF
1.1806 +
1.1807 + fi
1.1808 +
1.1809 + if test "$tcl_ok" != "yes" -a "$tcl_ok" != "no"; then
1.1810 + if test "$tcl_ok" = "all"; then
1.1811 + echo "$ac_t""enabled symbols mem compile debugging" 1>&6
1.1812 + else
1.1813 + echo "$ac_t""enabled $tcl_ok debugging" 1>&6
1.1814 + fi
1.1815 + fi
1.1816 +
1.1817 +
1.1818 +TCL_DBGX=${DBGX}
1.1819 +
1.1820 +#--------------------------------------------------------------------
1.1821 +# man2tcl needs this so that it can use errno.h
1.1822 +#--------------------------------------------------------------------
1.1823 +
1.1824 +echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
1.1825 +echo "configure:1823: checking how to run the C preprocessor" >&5
1.1826 +# On Suns, sometimes $CPP names a directory.
1.1827 +if test -n "$CPP" && test -d "$CPP"; then
1.1828 + CPP=
1.1829 +fi
1.1830 +if test -z "$CPP"; then
1.1831 +if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
1.1832 + echo $ac_n "(cached) $ac_c" 1>&6
1.1833 +else
1.1834 + # This must be in double quotes, not single quotes, because CPP may get
1.1835 + # substituted into the Makefile and "${CC-cc}" will confuse make.
1.1836 + CPP="${CC-cc} -E"
1.1837 + # On the NeXT, cc -E runs the code through the compiler's parser,
1.1838 + # not just through cpp.
1.1839 + cat > conftest.$ac_ext <<EOF
1.1840 +#line 1838 "configure"
1.1841 +#include "confdefs.h"
1.1842 +#include <assert.h>
1.1843 +Syntax Error
1.1844 +EOF
1.1845 +ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1.1846 +{ (eval echo configure:1844: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1.1847 +ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1.1848 +if test -z "$ac_err"; then
1.1849 + :
1.1850 +else
1.1851 + echo "$ac_err" >&5
1.1852 + echo "configure: failed program was:" >&5
1.1853 + cat conftest.$ac_ext >&5
1.1854 + rm -rf conftest*
1.1855 + CPP="${CC-cc} -E -traditional-cpp"
1.1856 + cat > conftest.$ac_ext <<EOF
1.1857 +#line 1855 "configure"
1.1858 +#include "confdefs.h"
1.1859 +#include <assert.h>
1.1860 +Syntax Error
1.1861 +EOF
1.1862 +ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1.1863 +{ (eval echo configure:1861: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1.1864 +ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1.1865 +if test -z "$ac_err"; then
1.1866 + :
1.1867 +else
1.1868 + echo "$ac_err" >&5
1.1869 + echo "configure: failed program was:" >&5
1.1870 + cat conftest.$ac_ext >&5
1.1871 + rm -rf conftest*
1.1872 + CPP="${CC-cc} -nologo -E"
1.1873 + cat > conftest.$ac_ext <<EOF
1.1874 +#line 1872 "configure"
1.1875 +#include "confdefs.h"
1.1876 +#include <assert.h>
1.1877 +Syntax Error
1.1878 +EOF
1.1879 +ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1.1880 +{ (eval echo configure:1878: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1.1881 +ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1.1882 +if test -z "$ac_err"; then
1.1883 + :
1.1884 +else
1.1885 + echo "$ac_err" >&5
1.1886 + echo "configure: failed program was:" >&5
1.1887 + cat conftest.$ac_ext >&5
1.1888 + rm -rf conftest*
1.1889 + CPP=/lib/cpp
1.1890 +fi
1.1891 +rm -f conftest*
1.1892 +fi
1.1893 +rm -f conftest*
1.1894 +fi
1.1895 +rm -f conftest*
1.1896 + ac_cv_prog_CPP="$CPP"
1.1897 +fi
1.1898 + CPP="$ac_cv_prog_CPP"
1.1899 +else
1.1900 + ac_cv_prog_CPP="$CPP"
1.1901 +fi
1.1902 +echo "$ac_t""$CPP" 1>&6
1.1903 +
1.1904 +ac_safe=`echo "errno.h" | sed 'y%./+-%__p_%'`
1.1905 +echo $ac_n "checking for errno.h""... $ac_c" 1>&6
1.1906 +echo "configure:1904: checking for errno.h" >&5
1.1907 +if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1.1908 + echo $ac_n "(cached) $ac_c" 1>&6
1.1909 +else
1.1910 + cat > conftest.$ac_ext <<EOF
1.1911 +#line 1909 "configure"
1.1912 +#include "confdefs.h"
1.1913 +#include <errno.h>
1.1914 +EOF
1.1915 +ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1.1916 +{ (eval echo configure:1914: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1.1917 +ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1.1918 +if test -z "$ac_err"; then
1.1919 + rm -rf conftest*
1.1920 + eval "ac_cv_header_$ac_safe=yes"
1.1921 +else
1.1922 + echo "$ac_err" >&5
1.1923 + echo "configure: failed program was:" >&5
1.1924 + cat conftest.$ac_ext >&5
1.1925 + rm -rf conftest*
1.1926 + eval "ac_cv_header_$ac_safe=no"
1.1927 +fi
1.1928 +rm -f conftest*
1.1929 +fi
1.1930 +if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1.1931 + echo "$ac_t""yes" 1>&6
1.1932 + :
1.1933 +else
1.1934 + echo "$ac_t""no" 1>&6
1.1935 +MAN2TCLFLAGS="-DNO_ERRNO_H"
1.1936 +fi
1.1937 +
1.1938 +
1.1939 +
1.1940 +#------------------------------------------------------------------------
1.1941 +# tclConfig.sh refers to this by a different name
1.1942 +#------------------------------------------------------------------------
1.1943 +
1.1944 +TCL_SHARED_BUILD=${SHARED_BUILD}
1.1945 +
1.1946 +#--------------------------------------------------------------------
1.1947 +# Perform final evaluations of variables with possible substitutions.
1.1948 +#--------------------------------------------------------------------
1.1949 +
1.1950 +TCL_SHARED_LIB_SUFFIX="\${NODOT_VERSION}${DLLSUFFIX}"
1.1951 +TCL_UNSHARED_LIB_SUFFIX="\${NODOT_VERSION}${LIBSUFFIX}"
1.1952 +TCL_EXPORT_FILE_SUFFIX="\${NODOT_VERSION}${LIBSUFFIX}"
1.1953 +
1.1954 +eval "TCL_SRC_DIR=\"`cd $srcdir/..; pwd`\""
1.1955 +
1.1956 +eval "TCL_DLL_FILE=tcl${VER}${DLLSUFFIX}"
1.1957 +
1.1958 +eval "TCL_LIB_FILE=${LIBPREFIX}tcl$VER${LIBSUFFIX}"
1.1959 +
1.1960 +eval "TCL_LIB_FLAG=\"-ltcl${VER}${LIBFLAGSUFFIX}\""
1.1961 +eval "TCL_BUILD_LIB_SPEC=\"-L`pwd` ${TCL_LIB_FLAG}\""
1.1962 +eval "TCL_LIB_SPEC=\"-L${libdir} ${TCL_LIB_FLAG}\""
1.1963 +
1.1964 +eval "TCL_STUB_LIB_FILE=\"${LIBPREFIX}tclstub${VER}${LIBSUFFIX}\""
1.1965 +eval "TCL_STUB_LIB_FLAG=\"-ltclstub${VER}${LIBFLAGSUFFIX}\""
1.1966 +eval "TCL_BUILD_STUB_LIB_SPEC=\"-L`pwd` ${TCL_STUB_LIB_FLAG}\""
1.1967 +eval "TCL_STUB_LIB_SPEC=\"-L${libdir} ${TCL_STUB_LIB_FLAG}\""
1.1968 +eval "TCL_BUILD_STUB_LIB_PATH=\"`pwd`/${TCL_STUB_LIB_FILE}\""
1.1969 +eval "TCL_STUB_LIB_PATH=\"${libdir}/${TCL_STUB_LIB_FILE}\""
1.1970 +
1.1971 +# Install time header dir can be set via --includedir
1.1972 +eval "TCL_INCLUDE_SPEC=\"-I${includedir}\""
1.1973 +
1.1974 +
1.1975 +eval "DLLSUFFIX=${DLLSUFFIX}"
1.1976 +eval "LIBPREFIX=${LIBPREFIX}"
1.1977 +eval "LIBSUFFIX=${LIBSUFFIX}"
1.1978 +eval "EXESUFFIX=${EXESUFFIX}"
1.1979 +
1.1980 +CFG_TCL_SHARED_LIB_SUFFIX=${TCL_SHARED_LIB_SUFFIX}
1.1981 +CFG_TCL_UNSHARED_LIB_SUFFIX=${TCL_UNSHARED_LIB_SUFFIX}
1.1982 +CFG_TCL_EXPORT_FILE_SUFFIX=${TCL_EXPORT_FILE_SUFFIX}
1.1983 +
1.1984 +#--------------------------------------------------------------------
1.1985 +# Adjust the defines for how the resources are built depending
1.1986 +# on symbols and static vs. shared.
1.1987 +#--------------------------------------------------------------------
1.1988 +
1.1989 +if test ${SHARED_BUILD} = 0 ; then
1.1990 + if test "${DBGX}" = "g"; then
1.1991 + RC_DEFINES="${RC_DEFINE} STATIC_BUILD ${RC_DEFINE} DEBUG"
1.1992 + else
1.1993 + RC_DEFINES="${RC_DEFINE} STATIC_BUILD"
1.1994 + fi
1.1995 +else
1.1996 + if test "${DBGX}" = "g"; then
1.1997 + RC_DEFINES="${RC_DEFINE} DEBUG"
1.1998 + else
1.1999 + RC_DEFINES=""
1.2000 + fi
1.2001 +fi
1.2002 +
1.2003 +#--------------------------------------------------------------------
1.2004 +# The statements below define the symbol TCL_PACKAGE_PATH, which
1.2005 +# gives a list of directories that may contain packages. The list
1.2006 +# consists of one directory for machine-dependent binaries and
1.2007 +# another for platform-independent scripts.
1.2008 +#--------------------------------------------------------------------
1.2009 +
1.2010 +if test "$prefix" != "$exec_prefix"; then
1.2011 + TCL_PACKAGE_PATH="${libdir} ${prefix}/lib"
1.2012 +else
1.2013 + TCL_PACKAGE_PATH="${prefix}/lib"
1.2014 +fi
1.2015 +
1.2016 +
1.2017 +
1.2018 +
1.2019 +
1.2020 +
1.2021 +
1.2022 +
1.2023 +# empty on win
1.2024 +
1.2025 +
1.2026 +
1.2027 +
1.2028 +
1.2029 +
1.2030 +
1.2031 +
1.2032 +
1.2033 +
1.2034 +
1.2035 +
1.2036 +
1.2037 +
1.2038 +
1.2039 +
1.2040 +
1.2041 +# win/tcl.m4 doesn't set (CFLAGS)
1.2042 +
1.2043 +
1.2044 +
1.2045 +
1.2046 +
1.2047 +
1.2048 +
1.2049 +# win/tcl.m4 doesn't set (LDFLAGS)
1.2050 +
1.2051 +
1.2052 +
1.2053 +
1.2054 +
1.2055 +
1.2056 +
1.2057 +
1.2058 +
1.2059 +
1.2060 +
1.2061 +
1.2062 +
1.2063 +
1.2064 +
1.2065 +
1.2066 +
1.2067 +
1.2068 +
1.2069 +
1.2070 +
1.2071 +
1.2072 +
1.2073 +
1.2074 +
1.2075 +
1.2076 +
1.2077 +# empty on win, but needs sub'ing
1.2078 +
1.2079 +
1.2080 +
1.2081 +
1.2082 +
1.2083 +
1.2084 +
1.2085 +
1.2086 +
1.2087 +
1.2088 +# win only
1.2089 +
1.2090 +
1.2091 +
1.2092 +
1.2093 +
1.2094 +
1.2095 +
1.2096 +
1.2097 +
1.2098 +
1.2099 +
1.2100 +
1.2101 +
1.2102 +
1.2103 +
1.2104 +trap '' 1 2 15
1.2105 +cat > confcache <<\EOF
1.2106 +# This file is a shell script that caches the results of configure
1.2107 +# tests run on this system so they can be shared between configure
1.2108 +# scripts and configure runs. It is not useful on other systems.
1.2109 +# If it contains results you don't want to keep, you may remove or edit it.
1.2110 +#
1.2111 +# By default, configure uses ./config.cache as the cache file,
1.2112 +# creating it if it does not exist already. You can give configure
1.2113 +# the --cache-file=FILE option to use a different cache file; that is
1.2114 +# what configure does when it calls configure scripts in
1.2115 +# subdirectories, so they share the cache.
1.2116 +# Giving --cache-file=/dev/null disables caching, for debugging configure.
1.2117 +# config.status only pays attention to the cache file if you give it the
1.2118 +# --recheck option to rerun configure.
1.2119 +#
1.2120 +EOF
1.2121 +# The following way of writing the cache mishandles newlines in values,
1.2122 +# but we know of no workaround that is simple, portable, and efficient.
1.2123 +# So, don't put newlines in cache variables' values.
1.2124 +# Ultrix sh set writes to stderr and can't be redirected directly,
1.2125 +# and sets the high bit in the cache file unless we assign to the vars.
1.2126 +(set) 2>&1 |
1.2127 + case `(ac_space=' '; set | grep ac_space) 2>&1` in
1.2128 + *ac_space=\ *)
1.2129 + # `set' does not quote correctly, so add quotes (double-quote substitution
1.2130 + # turns \\\\ into \\, and sed turns \\ into \).
1.2131 + sed -n \
1.2132 + -e "s/'/'\\\\''/g" \
1.2133 + -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1.2134 + ;;
1.2135 + *)
1.2136 + # `set' quotes correctly as required by POSIX, so do not add quotes.
1.2137 + sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1.2138 + ;;
1.2139 + esac >> confcache
1.2140 +if cmp -s $cache_file confcache; then
1.2141 + :
1.2142 +else
1.2143 + if test -w $cache_file; then
1.2144 + echo "updating cache $cache_file"
1.2145 + cat confcache > $cache_file
1.2146 + else
1.2147 + echo "not updating unwritable cache $cache_file"
1.2148 + fi
1.2149 +fi
1.2150 +rm -f confcache
1.2151 +
1.2152 +trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1.2153 +
1.2154 +test "x$prefix" = xNONE && prefix=$ac_default_prefix
1.2155 +# Let make expand exec_prefix.
1.2156 +test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1.2157 +
1.2158 +# Any assignment to VPATH causes Sun make to only execute
1.2159 +# the first set of double-colon rules, so remove it if not needed.
1.2160 +# If there is a colon in the path, we need to keep it.
1.2161 +if test "x$srcdir" = x.; then
1.2162 + ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1.2163 +fi
1.2164 +
1.2165 +trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1.2166 +
1.2167 +# Transform confdefs.h into DEFS.
1.2168 +# Protect against shell expansion while executing Makefile rules.
1.2169 +# Protect against Makefile macro expansion.
1.2170 +cat > conftest.defs <<\EOF
1.2171 +s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1.2172 +s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
1.2173 +s%\[%\\&%g
1.2174 +s%\]%\\&%g
1.2175 +s%\$%$$%g
1.2176 +EOF
1.2177 +DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1.2178 +rm -f conftest.defs
1.2179 +
1.2180 +
1.2181 +# Without the "./", some shells look in PATH for config.status.
1.2182 +: ${CONFIG_STATUS=./config.status}
1.2183 +
1.2184 +echo creating $CONFIG_STATUS
1.2185 +rm -f $CONFIG_STATUS
1.2186 +cat > $CONFIG_STATUS <<EOF
1.2187 +#! /bin/sh
1.2188 +# Generated automatically by configure.
1.2189 +# Run this file to recreate the current configuration.
1.2190 +# This directory was configured as follows,
1.2191 +# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1.2192 +#
1.2193 +# $0 $ac_configure_args
1.2194 +#
1.2195 +# Compiler output produced by configure, useful for debugging
1.2196 +# configure, is in ./config.log if it exists.
1.2197 +
1.2198 +ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1.2199 +for ac_option
1.2200 +do
1.2201 + case "\$ac_option" in
1.2202 + -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1.2203 + echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1.2204 + exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1.2205 + -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1.2206 + echo "$CONFIG_STATUS generated by autoconf version 2.13"
1.2207 + exit 0 ;;
1.2208 + -help | --help | --hel | --he | --h)
1.2209 + echo "\$ac_cs_usage"; exit 0 ;;
1.2210 + *) echo "\$ac_cs_usage"; exit 1 ;;
1.2211 + esac
1.2212 +done
1.2213 +
1.2214 +ac_given_srcdir=$srcdir
1.2215 +
1.2216 +trap 'rm -fr `echo "Makefile tclConfig.sh tcl.hpj" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1.2217 +EOF
1.2218 +cat >> $CONFIG_STATUS <<EOF
1.2219 +
1.2220 +# Protect against being on the right side of a sed subst in config.status.
1.2221 +sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1.2222 + s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1.2223 +$ac_vpsub
1.2224 +$extrasub
1.2225 +s%@SHELL@%$SHELL%g
1.2226 +s%@CFLAGS@%$CFLAGS%g
1.2227 +s%@CPPFLAGS@%$CPPFLAGS%g
1.2228 +s%@CXXFLAGS@%$CXXFLAGS%g
1.2229 +s%@FFLAGS@%$FFLAGS%g
1.2230 +s%@DEFS@%$DEFS%g
1.2231 +s%@LDFLAGS@%$LDFLAGS%g
1.2232 +s%@LIBS@%$LIBS%g
1.2233 +s%@exec_prefix@%$exec_prefix%g
1.2234 +s%@prefix@%$prefix%g
1.2235 +s%@program_transform_name@%$program_transform_name%g
1.2236 +s%@bindir@%$bindir%g
1.2237 +s%@sbindir@%$sbindir%g
1.2238 +s%@libexecdir@%$libexecdir%g
1.2239 +s%@datadir@%$datadir%g
1.2240 +s%@sysconfdir@%$sysconfdir%g
1.2241 +s%@sharedstatedir@%$sharedstatedir%g
1.2242 +s%@localstatedir@%$localstatedir%g
1.2243 +s%@libdir@%$libdir%g
1.2244 +s%@includedir@%$includedir%g
1.2245 +s%@oldincludedir@%$oldincludedir%g
1.2246 +s%@infodir@%$infodir%g
1.2247 +s%@mandir@%$mandir%g
1.2248 +s%@CC@%$CC%g
1.2249 +s%@AR@%$AR%g
1.2250 +s%@RANLIB@%$RANLIB%g
1.2251 +s%@RC@%$RC%g
1.2252 +s%@SET_MAKE@%$SET_MAKE%g
1.2253 +s%@OBJEXT@%$OBJEXT%g
1.2254 +s%@EXEEXT@%$EXEEXT%g
1.2255 +s%@TCL_THREADS@%$TCL_THREADS%g
1.2256 +s%@CYGPATH@%$CYGPATH%g
1.2257 +s%@DL_LIBS@%$DL_LIBS%g
1.2258 +s%@CFLAGS_DEBUG@%$CFLAGS_DEBUG%g
1.2259 +s%@CFLAGS_OPTIMIZE@%$CFLAGS_OPTIMIZE%g
1.2260 +s%@CFLAGS_WARNING@%$CFLAGS_WARNING%g
1.2261 +s%@CFLAGS_DEFAULT@%$CFLAGS_DEFAULT%g
1.2262 +s%@LDFLAGS_DEFAULT@%$LDFLAGS_DEFAULT%g
1.2263 +s%@CPP@%$CPP%g
1.2264 +s%@MAN2TCLFLAGS@%$MAN2TCLFLAGS%g
1.2265 +s%@TCL_VERSION@%$TCL_VERSION%g
1.2266 +s%@TCL_MAJOR_VERSION@%$TCL_MAJOR_VERSION%g
1.2267 +s%@TCL_MINOR_VERSION@%$TCL_MINOR_VERSION%g
1.2268 +s%@TCL_PATCH_LEVEL@%$TCL_PATCH_LEVEL%g
1.2269 +s%@TCL_LIB_FILE@%$TCL_LIB_FILE%g
1.2270 +s%@TCL_LIB_FLAG@%$TCL_LIB_FLAG%g
1.2271 +s%@TCL_LIB_SPEC@%$TCL_LIB_SPEC%g
1.2272 +s%@TCL_STUB_LIB_FILE@%$TCL_STUB_LIB_FILE%g
1.2273 +s%@TCL_STUB_LIB_FLAG@%$TCL_STUB_LIB_FLAG%g
1.2274 +s%@TCL_STUB_LIB_SPEC@%$TCL_STUB_LIB_SPEC%g
1.2275 +s%@TCL_STUB_LIB_PATH@%$TCL_STUB_LIB_PATH%g
1.2276 +s%@TCL_INCLUDE_SPEC@%$TCL_INCLUDE_SPEC%g
1.2277 +s%@TCL_BUILD_STUB_LIB_SPEC@%$TCL_BUILD_STUB_LIB_SPEC%g
1.2278 +s%@TCL_BUILD_STUB_LIB_PATH@%$TCL_BUILD_STUB_LIB_PATH%g
1.2279 +s%@TCL_DLL_FILE@%$TCL_DLL_FILE%g
1.2280 +s%@TCL_SRC_DIR@%$TCL_SRC_DIR%g
1.2281 +s%@TCL_BIN_DIR@%$TCL_BIN_DIR%g
1.2282 +s%@TCL_DBGX@%$TCL_DBGX%g
1.2283 +s%@CFG_TCL_SHARED_LIB_SUFFIX@%$CFG_TCL_SHARED_LIB_SUFFIX%g
1.2284 +s%@CFG_TCL_UNSHARED_LIB_SUFFIX@%$CFG_TCL_UNSHARED_LIB_SUFFIX%g
1.2285 +s%@CFG_TCL_EXPORT_FILE_SUFFIX@%$CFG_TCL_EXPORT_FILE_SUFFIX%g
1.2286 +s%@EXTRA_CFLAGS@%$EXTRA_CFLAGS%g
1.2287 +s%@DEPARG@%$DEPARG%g
1.2288 +s%@CC_OBJNAME@%$CC_OBJNAME%g
1.2289 +s%@CC_EXENAME@%$CC_EXENAME%g
1.2290 +s%@LDFLAGS_DEBUG@%$LDFLAGS_DEBUG%g
1.2291 +s%@LDFLAGS_OPTIMIZE@%$LDFLAGS_OPTIMIZE%g
1.2292 +s%@LDFLAGS_CONSOLE@%$LDFLAGS_CONSOLE%g
1.2293 +s%@LDFLAGS_WINDOW@%$LDFLAGS_WINDOW%g
1.2294 +s%@STLIB_LD@%$STLIB_LD%g
1.2295 +s%@SHLIB_LD@%$SHLIB_LD%g
1.2296 +s%@SHLIB_LD_LIBS@%$SHLIB_LD_LIBS%g
1.2297 +s%@SHLIB_CFLAGS@%$SHLIB_CFLAGS%g
1.2298 +s%@SHLIB_SUFFIX@%$SHLIB_SUFFIX%g
1.2299 +s%@TCL_SHARED_BUILD@%$TCL_SHARED_BUILD%g
1.2300 +s%@LIBS_GUI@%$LIBS_GUI%g
1.2301 +s%@DLLSUFFIX@%$DLLSUFFIX%g
1.2302 +s%@LIBPREFIX@%$LIBPREFIX%g
1.2303 +s%@LIBSUFFIX@%$LIBSUFFIX%g
1.2304 +s%@EXESUFFIX@%$EXESUFFIX%g
1.2305 +s%@LIBRARIES@%$LIBRARIES%g
1.2306 +s%@MAKE_LIB@%$MAKE_LIB%g
1.2307 +s%@POST_MAKE_LIB@%$POST_MAKE_LIB%g
1.2308 +s%@MAKE_DLL@%$MAKE_DLL%g
1.2309 +s%@MAKE_EXE@%$MAKE_EXE%g
1.2310 +s%@TCL_BUILD_LIB_SPEC@%$TCL_BUILD_LIB_SPEC%g
1.2311 +s%@TCL_LD_SEARCH_FLAGS@%$TCL_LD_SEARCH_FLAGS%g
1.2312 +s%@TCL_NEEDS_EXP_FILE@%$TCL_NEEDS_EXP_FILE%g
1.2313 +s%@TCL_BUILD_EXP_FILE@%$TCL_BUILD_EXP_FILE%g
1.2314 +s%@TCL_EXP_FILE@%$TCL_EXP_FILE%g
1.2315 +s%@LIBOBJS@%$LIBOBJS%g
1.2316 +s%@TCL_LIB_VERSIONS_OK@%$TCL_LIB_VERSIONS_OK%g
1.2317 +s%@TCL_PACKAGE_PATH@%$TCL_PACKAGE_PATH%g
1.2318 +s%@TCL_DDE_VERSION@%$TCL_DDE_VERSION%g
1.2319 +s%@TCL_DDE_MAJOR_VERSION@%$TCL_DDE_MAJOR_VERSION%g
1.2320 +s%@TCL_DDE_MINOR_VERSION@%$TCL_DDE_MINOR_VERSION%g
1.2321 +s%@TCL_REG_VERSION@%$TCL_REG_VERSION%g
1.2322 +s%@TCL_REG_MAJOR_VERSION@%$TCL_REG_MAJOR_VERSION%g
1.2323 +s%@TCL_REG_MINOR_VERSION@%$TCL_REG_MINOR_VERSION%g
1.2324 +s%@RC_OUT@%$RC_OUT%g
1.2325 +s%@RC_TYPE@%$RC_TYPE%g
1.2326 +s%@RC_INCLUDE@%$RC_INCLUDE%g
1.2327 +s%@RC_DEFINE@%$RC_DEFINE%g
1.2328 +s%@RC_DEFINES@%$RC_DEFINES%g
1.2329 +s%@RES@%$RES%g
1.2330 +
1.2331 +CEOF
1.2332 +EOF
1.2333 +
1.2334 +cat >> $CONFIG_STATUS <<\EOF
1.2335 +
1.2336 +# Split the substitutions into bite-sized pieces for seds with
1.2337 +# small command number limits, like on Digital OSF/1 and HP-UX.
1.2338 +ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1.2339 +ac_file=1 # Number of current file.
1.2340 +ac_beg=1 # First line for current file.
1.2341 +ac_end=$ac_max_sed_cmds # Line after last line for current file.
1.2342 +ac_more_lines=:
1.2343 +ac_sed_cmds=""
1.2344 +while $ac_more_lines; do
1.2345 + if test $ac_beg -gt 1; then
1.2346 + sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1.2347 + else
1.2348 + sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1.2349 + fi
1.2350 + if test ! -s conftest.s$ac_file; then
1.2351 + ac_more_lines=false
1.2352 + rm -f conftest.s$ac_file
1.2353 + else
1.2354 + if test -z "$ac_sed_cmds"; then
1.2355 + ac_sed_cmds="sed -f conftest.s$ac_file"
1.2356 + else
1.2357 + ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1.2358 + fi
1.2359 + ac_file=`expr $ac_file + 1`
1.2360 + ac_beg=$ac_end
1.2361 + ac_end=`expr $ac_end + $ac_max_sed_cmds`
1.2362 + fi
1.2363 +done
1.2364 +if test -z "$ac_sed_cmds"; then
1.2365 + ac_sed_cmds=cat
1.2366 +fi
1.2367 +EOF
1.2368 +
1.2369 +cat >> $CONFIG_STATUS <<EOF
1.2370 +
1.2371 +CONFIG_FILES=\${CONFIG_FILES-"Makefile tclConfig.sh tcl.hpj"}
1.2372 +EOF
1.2373 +cat >> $CONFIG_STATUS <<\EOF
1.2374 +for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1.2375 + # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1.2376 + case "$ac_file" in
1.2377 + *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1.2378 + ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1.2379 + *) ac_file_in="${ac_file}.in" ;;
1.2380 + esac
1.2381 +
1.2382 + # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1.2383 +
1.2384 + # Remove last slash and all that follows it. Not all systems have dirname.
1.2385 + ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1.2386 + if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1.2387 + # The file is in a subdirectory.
1.2388 + test ! -d "$ac_dir" && mkdir "$ac_dir"
1.2389 + ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1.2390 + # A "../" for each directory in $ac_dir_suffix.
1.2391 + ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1.2392 + else
1.2393 + ac_dir_suffix= ac_dots=
1.2394 + fi
1.2395 +
1.2396 + case "$ac_given_srcdir" in
1.2397 + .) srcdir=.
1.2398 + if test -z "$ac_dots"; then top_srcdir=.
1.2399 + else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1.2400 + /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1.2401 + *) # Relative path.
1.2402 + srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1.2403 + top_srcdir="$ac_dots$ac_given_srcdir" ;;
1.2404 + esac
1.2405 +
1.2406 +
1.2407 + echo creating "$ac_file"
1.2408 + rm -f "$ac_file"
1.2409 + configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1.2410 + case "$ac_file" in
1.2411 + *Makefile*) ac_comsub="1i\\
1.2412 +# $configure_input" ;;
1.2413 + *) ac_comsub= ;;
1.2414 + esac
1.2415 +
1.2416 + ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1.2417 + sed -e "$ac_comsub
1.2418 +s%@configure_input@%$configure_input%g
1.2419 +s%@srcdir@%$srcdir%g
1.2420 +s%@top_srcdir@%$top_srcdir%g
1.2421 +" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1.2422 +fi; done
1.2423 +rm -f conftest.s*
1.2424 +
1.2425 +EOF
1.2426 +cat >> $CONFIG_STATUS <<EOF
1.2427 +
1.2428 +EOF
1.2429 +cat >> $CONFIG_STATUS <<\EOF
1.2430 +
1.2431 +exit 0
1.2432 +EOF
1.2433 +chmod +x $CONFIG_STATUS
1.2434 +rm -fr confdefs* $ac_clean_files
1.2435 +test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1.2436 +